2010-05-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.19.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, doc/gendocs_template, doc/reference/Makefile.am,
	gl/override/doc/gendocs_template.diff, gtk-doc.make, m4/gtk-doc.m4: 
	Update GTK-DOC files to enable PDF manual.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/gendocs_template, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/valgrind-tests.m4, m4/valgrind.m4: Update gnulib files, use
	new valgrind-tests module.

2010-05-17  Simon Josefsson <simon@josefsson.org>

	* build-aux/c++defs.h, build-aux/gendocs.sh, build-aux/gnupload,
	gl/Makefile.am, gl/error.c, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4, gl/unistd.in.h,
	gltests/Makefile.am, gltests/init.sh, gltests/test-verify.c,
	gltests/test-verify.sh, gltests/verify.h, gltests/wchar.in.h,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/iconv.m4, lib/gl/wchar.in.h, lib/gltests/Makefile.am,
	lib/gltests/init.sh, lib/gltests/test-verify.c,
	lib/gltests/test-verify.sh, lib/gltests/verify.h, maint.mk: Update
	gnulib files.

2010-04-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-04-25  Simon Josefsson <simon@josefsson.org>

	* build-aux/vc-list-files, gl/m4/gnulib-comp.m4,
	gltests/Makefile.am, gltests/init.sh,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, maint.mk: Update gnulib files.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* lib/gl/m4/visibility.m4: Update gnulib files.

2010-04-19  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/getopt_int.h, gl/m4/getopt.m4, gltests/setenv.c,
	gltests/stdbool.in.h, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-stdbool.c,
	gltests/test-stdint.c, lib/gl/stdbool.in.h,
	lib/gltests/test-stdbool.c, lib/gltests/test-stdint.c, maint.mk: 
	Update gnulib files.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* .x-sc_prohibit_empty_lines_at_EOF: Fix syntax-check warnings.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, lib/gen-unicode-tables.pl: Fix
	syntax-check warnings.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/c++defs.h, build-aux/warn-on-use.h,
	gl/Makefile.am, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/stdlib_h.m4, gl/m4/string_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/string.in.h, gl/unistd.in.h,
	gltests/Makefile.am, gltests/stdlib.in.h, gltests/sys_stat.in.h,
	gltests/time.in.h, gltests/wchar.in.h, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/string_h.m4, lib/gl/string.in.h,
	lib/gl/wchar.in.h, lib/gltests/Makefile.am, maint.mk: Update gnulib
	files.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* m4/valgrind.m4: Sync valgrind.m4.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Drop code (could never have worked anyway).

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* gl/errno.in.h, gl/getopt.in.h, gl/m4/fcntl-o.m4,
	gl/m4/fcntl_h.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/stddef_h.m4, gl/m4/stdlib_h.m4, gl/m4/string_h.m4,
	gl/m4/sys_stat_h.m4, gl/m4/time_h.m4, gl/m4/unistd_h.m4,
	gl/m4/wchar_h.m4, gl/stdarg.in.h, gl/string.in.h, gl/unistd.in.h,
	gltests/Makefile.am, gltests/stdint.in.h, gltests/sys_stat.in.h,
	gltests/test-dup2.c, gltests/test-getopt.c, gltests/test-getopt.h,
	gltests/time.in.h, lib/gl/iconv.in.h, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv_h.m4,
	lib/gl/m4/stddef_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/wchar_h.m4, lib/gl/stdint.in.h,
	lib/gl/string.in.h, lib/gltests/Makefile.am, maint.mk: Update gnulib
	files.

2010-03-26  Simon Josefsson <simon@josefsson.org>

	* gl/errno.in.h, gl/getopt.in.h, gl/gettext.h, gl/stdarg.in.h,
	gl/string.in.h, gl/unistd.in.h, gltests/stdint.in.h,
	lib/gl/gettext.h, lib/gl/iconv.in.h, lib/gl/stdint.in.h,
	lib/gl/string.in.h, maint.mk: Update gnulib files.

2010-03-24  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2010-03-24  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix typos.  Drop @acronym use.

2010-03-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_texinfo_acronym: Add.

2010-03-24  Simon Josefsson <simon@josefsson.org>

	* build-aux/warn-on-use.h, gl/Makefile.am, gl/getopt.c,
	gl/m4/setenv.m4, gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4,
	gl/unistd.in.h, gltests/Makefile.am, gltests/stdlib.in.h,
	gltests/test-vc-list-files-git.sh, gltests/time.in.h, maint.mk: 
	Update gnulib files.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/ANNOUNCE, doc/announce.txt: Add review-diff.  Move
	announce file to use consistent filenames.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/ansi-c++.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/time_h.m4, gl/string.in.h,
	gltests/Makefile.am, gltests/test-fcntl-h-c++.cc,
	gltests/test-fcntl-h.c, gltests/test-stdlib-c++.cc,
	gltests/test-stdlib.c, gltests/test-string-c++.cc,
	gltests/test-string.c, gltests/test-sys_stat-c++.cc,
	gltests/test-sys_stat.c, gltests/test-time-c++.cc,
	gltests/test-time.c, gltests/test-unistd-c++.cc,
	gltests/test-unistd.c, gltests/test-wchar-c++.cc,
	gltests/test-wchar.c, gltests/time.in.h: Drop self-tests with C++
	code in them.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* build-aux/c++defs.h, build-aux/warn-on-use.h, lib/gl/Makefile.am,
	lib/gl/m4/ansi-c++.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/string.in.h,
	lib/gltests/Makefile.am, lib/gltests/test-iconv-h-c++.cc,
	lib/gltests/test-iconv-h.c, lib/gltests/test-string-c++.cc,
	lib/gltests/test-string.c, lib/gltests/test-wchar-c++.cc,
	lib/gltests/test-wchar.c: Drop self-tests with C++ code in them.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention gengetopt.

2010-03-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-comp.m4: Update gnulib
	files.

2010-03-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Reorder to avoid bootstrap warnings.

2010-03-12  Simon Josefsson <simon@josefsson.org>

	* build-aux/c++defs.h, gl/string.in.h, lib/gl/string.in.h: Update
	gnulib files.

2010-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Explain deprecated libtool usage.

2010-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Revert "Don't use deprecated libtool functions."
	AC_PROG_LIBTOOL is required on older systems (e.g., latest Ubuntu
	LTS).  This reverts commit bb239c491ba93a9d2cecf81b53855ecc46d86140.

2010-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Revert "Reorder." AC_PROG_LIBTOOL is required on
	older systems (e.g., latest Ubuntu LTS).  This reverts commit e085f872f2de2e9c33fa4b8c1df559584f375641.

2010-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Reorder.

2010-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't use deprecated libtool functions.

2010-03-08  Simon Josefsson <simon@josefsson.org>

	* build-aux/c++defs.h, gl/Makefile.am, gl/m4/ansi-c++.m4,
	gl/m4/fcntl_h.m4, gl/m4/gnulib-comp.m4, gl/m4/stdlib_h.m4,
	gl/m4/string_h.m4, gl/m4/sys_stat_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/wchar.m4, gl/m4/wchar_h.m4,
	gl/string.in.h, gl/unistd.in.h, gltests/Makefile.am,
	gltests/fcntl.in.h, gltests/stdlib.in.h, gltests/sys_stat.in.h,
	gltests/test-fcntl-h-c++.cc, gltests/test-stdlib-c++.cc,
	gltests/test-string-c++.cc, gltests/test-sys_stat-c++.cc,
	gltests/test-time-c++.cc, gltests/test-unistd-c++.cc,
	gltests/test-wchar-c++.cc, gltests/time.in.h, gltests/wchar.in.h,
	lib/gl/Makefile.am, lib/gl/iconv.in.h, lib/gl/m4/ansi-c++.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/wchar.m4, lib/gl/m4/wchar_h.m4,
	lib/gl/string.in.h, lib/gl/wchar.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-iconv-h-c++.cc, lib/gltests/test-iconv-h.c,
	lib/gltests/test-string-c++.cc, lib/gltests/test-wchar-c++.cc: 
	Update gnulib files.

2010-02-24  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-02-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2010-02-24  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/vc-list-files,
	gl/m4/gnulib-common.m4, gl/m4/warn-on-use.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/warn-on-use.m4: Update gnulib
	files.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* doc/ANNOUNCE: Add.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Release to ftp.gnu.org.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/stringprep.h: Bump versions.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.18.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* lib/libidn.map: Put forgotten symbols under old namespace.  Suggested by Marco d'Itri <md@linux.it> in
	<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561291>.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, maint.mk: Update gnulib files.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.17.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Make this an alpha release.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in, po/id.po.in,
	po/it.po.in, po/ja.po.in, po/nl.po.in, po/pl.po.in, po/ro.po.in,
	po/sr.po.in, po/zh_CN.po.in: Sync with TP.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/pr29.c, lib/punycode.c,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/tld.c, lib/toutf8.c, lib/version.c: Fix GTK-DOC syntax.
	Unfortunately this looses some information.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Clarify.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Another test for MinGW builds.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Don't use a libtool helper library, to
	hopefully make MinGW builds work.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Simplify.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Check if this makes MinGW builds work better.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Drop EXEEXT, to see if MinGW builds improve.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, Makefile.am, NEWS, README, THANKS, TODO, libidn.pc.in,
	m4/valgrind.m4: Bump copyright years.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, ChangeLog, FAQ, Makefile.am, README,
	README-alpha, THANKS, TODO, contrib/README,
	contrib/doxygen/gdoc2doxygen, contrib/java/Makefile.am,
	contrib/java/README, csharp/Makefile.am, doc/Makefile.gdoci,
	doc/cyclo/Makefile.am, doc/gdoc, doc/java/Makefile.am,
	doc/specifications/Makefile.am, doc/tld/Makefile.am,
	doc/tld/README, doc/tld/fr.tld, examples/Makefile.am,
	examples/README, examples/example.c, examples/example2.c,
	examples/example5.c, java/Makefile.am,
	java/gnu/inet/encoding/Makefile.am, lib/Makefile.am,
	lib/gen-tld-tables.pl, lib/idn-free.c, lib/idn-free.h, lib/idna.c,
	lib/idna.h, lib/nfkc.c, lib/pr29.c, lib/pr29.h, lib/profiles.c,
	lib/punycode.c, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/tld.c, lib/tld.h, lib/toutf8.c, lib/version.c, libc/README,
	libc/example.c, libc/getaddrinfo-idn.txt, libidn.pc.in,
	src/Makefile.am, src/idn.c, src/idn.ggo, src/idna.el,
	src/punycode.el, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_pr29.c, tests/tst_punycode.c,
	tests/tst_strerror.c, tests/tst_stringprep.c, tests/tst_tld.c,
	tests/tst_toutf8.c, tests/utils.h: Bump copyright years.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump copyright years.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump libtool version to indicated "added" symbols.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* lib/libidn.map: Bump shared library version tag on "new" symbols.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl, lib/stringprep.h,
	tests/Makefile.am, tests/tst_symbols.c: Make sure all symbols are
	exported.  Add self test to catch regressions.  See <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561291> and

	<http://lists.gnu.org/archive/html/help-libidn/2010-02/msg00000.html>for background.

2010-02-03  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, build-aux/link-warning.h, gl/Makefile.am,
	gl/error.h, gl/m4/fcntl_h.m4, gl/m4/gnulib-comp.m4,
	gl/m4/stdlib_h.m4, gl/m4/string_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/unistd_h.m4, gl/m4/wchar.m4, gl/string.in.h, gl/unistd.in.h,
	gltests/Makefile.am, gltests/fcntl.in.h, gltests/ignore-value.h,
	gltests/stdlib.in.h, gltests/sys_stat.in.h, gltests/test-lstat.c,
	gltests/test-symlink.c, gltests/wchar.in.h, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/warn-on-use.m4, lib/gl/m4/wchar.m4, lib/gl/string.in.h,
	lib/gl/wchar.in.h, lib/gltests/Makefile.am, maint.mk: Update gnulib
	files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, maint.mk: Improve syntax-check exception stuff.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-common.m4: Update gnulib
	files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, gl/m4/warnings.m4: Check patch.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* m4/valgrind.m4: Fix valgrind.m4.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* doc/fdl-1.3.texi, doc/gendocs_template, doc/gpl-3.0.texi,
	doc/lgpl-2.1.texi, gl/override/lib/dup2.c.diff,
	gl/override/tests/dup2.c.diff: Update gnulib files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* lib/gunibreak.h, lib/gunicomp.h, lib/gunidecomp.h: Touch.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* lib/gen-unicode-tables.pl: Touch.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* csharp/IDNA.cs, csharp/IDNAException.cs, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/generate/AssemblyInfo.cs, csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/fdl-1.3.texi, doc/gendocs_template, doc/gpl-3.0.texi,
	doc/lgpl-2.1.texi, doc/tld/no.tld,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateRFC3454.java, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, lib/Makefile.am, lib/gen-tld-tables.pl,
	lib/tld.c, lib/tld.h, m4/update-header-version.m4, m4/valgrind.m4,
	po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in, po/id.po.in,
	po/it.po.in, po/ja.po.in, po/nl.po.in, po/pl.po.in, po/ro.po.in,
	po/rw.po.in, po/sr.po.in, po/zh_CN.po.in,
	win32/include/ac-stdint.h, win32/include/idn-int.h,
	win32/include/stdbool.h: Update copyright.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* po/de.po.in, po/fi.po.in, po/zh_CN.po.in: Sync with TP.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* .x-sc_avoid_if_before_free, .x-sc_cast_of_alloca_return_value,
	.x-sc_error_message_uppercase, .x-sc_makefile_at_at_check,
	.x-sc_makefile_check, .x-sc_space_tab, cfg.mk, examples/example3.c,
	examples/example4.c, java/gnu/inet/encoding/NFKC.java,
	java/misc/GenerateNFKC.java, lib/gl/striconv.c, maint.mk,
	tests/utils.c: Fix syntax-check rules.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Don't use exit(1).

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* .x-sc_cast_of_alloca_return_value: Add.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* .x-sc_makefile_at_at_check: Add.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Commit cyclo/.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.16.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/open.m4, gl/override/m4/open.m4.diff: Add workaround for
	Wine open failure.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/override/tests/dup2.c.diff, gltests/dup2.c: Add workaround for
	Wine dup2 failure.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* build-aux/warn-on-use.h, gl/Makefile.am, gl/m4/gnulib-comp.m4,
	gl/m4/unistd_h.m4, gl/m4/warn-on-use.m4, gl/unistd.in.h,
	gltests/Makefile.am, gltests/test-getopt.c, gltests/wchar.in.h,
	lib/gl/wchar.in.h, maint.mk: Update gnulib files.

2010-01-09  Simon Josefsson <simon@josefsson.org>

	* gltests/dup2.c, maint.mk: Update gnulib files.

2010-01-08  Simon Josefsson <simon@josefsson.org>

	* lib/gunibreak.h, lib/gunicomp.h, lib/gunidecomp.h: Touch.

2010-01-08  Simon Josefsson <simon@josefsson.org>

	* lib/gen-unicode-tables.pl: Add comment.

2010-01-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/string_h.m4, gl/string.in.h,
	lib/gl/Makefile.am, lib/gl/m4/string_h.m4, lib/gl/string.in.h: 
	Update gnulib files.

2010-01-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/arg-nonnull.h, build-aux/config.rpath,
	build-aux/csharpcomp.sh.in, build-aux/gendocs.sh,
	build-aux/link-warning.h, build-aux/pmccabe2html,
	build-aux/update-copyright, build-aux/useless-if-before-free,
	build-aux/vc-list-files, gl/Makefile.am, gl/errno.in.h, gl/error.c,
	gl/error.h, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_int.h, gl/gettext.h, gl/intprops.h, gl/m4/00gnulib.m4,
	gl/m4/alloca.m4, gl/m4/autobuild.m4, gl/m4/cloexec.m4,
	gl/m4/csharp.m4, gl/m4/csharpcomp.m4, gl/m4/dos.m4, gl/m4/dup2.m4,
	gl/m4/eealloc.m4, gl/m4/environ.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/extensions.m4, gl/m4/fcntl-o.m4,
	gl/m4/fcntl.m4, gl/m4/fcntl_h.m4, gl/m4/getdtablesize.m4,
	gl/m4/getopt.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/include_next.m4,
	gl/m4/longlong.m4, gl/m4/lstat.m4, gl/m4/malloc.m4,
	gl/m4/malloca.m4, gl/m4/manywarnings.m4, gl/m4/mode_t.m4,
	gl/m4/multiarch.m4, gl/m4/open.m4, gl/m4/pathmax.m4,
	gl/m4/putenv.m4, gl/m4/setenv.m4, gl/m4/stat.m4, gl/m4/stdarg.m4,
	gl/m4/stdbool.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4,
	gl/m4/stdlib_h.m4, gl/m4/strerror.m4, gl/m4/string_h.m4,
	gl/m4/symlink.m4, gl/m4/sys_stat_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/version-etc.m4, gl/m4/warnings.m4,
	gl/m4/wchar.m4, gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/progname.c,
	gl/progname.h, gl/stdarg.in.h, gl/stddef.in.h, gl/strerror.c,
	gl/string.in.h, gl/unistd.in.h, gl/version-etc.c, gl/version-etc.h,
	gltests/Makefile.am, gltests/alloca.in.h, gltests/binary-io.h,
	gltests/cloexec.c, gltests/cloexec.h, gltests/dup2.c,
	gltests/fcntl.c, gltests/fcntl.in.h, gltests/getdtablesize.c,
	gltests/lstat.c, gltests/macros.h, gltests/malloc.c,
	gltests/malloca.c, gltests/malloca.h, gltests/open.c,
	gltests/pathmax.h, gltests/putenv.c, gltests/same-inode.h,
	gltests/setenv.c, gltests/signature.h, gltests/stat.c,
	gltests/stdbool.in.h, gltests/stdint.in.h, gltests/stdlib.in.h,
	gltests/symlink.c, gltests/sys_stat.in.h,
	gltests/test-alloca-opt.c, gltests/test-binary-io.c,
	gltests/test-cloexec.c, gltests/test-dup2.c,
	gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fcntl-h.c, gltests/test-fcntl.c,
	gltests/test-getdtablesize.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-lstat.c, gltests/test-lstat.h, gltests/test-malloca.c,
	gltests/test-open.c, gltests/test-open.h, gltests/test-setenv.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdint.c,
	gltests/test-stdlib.c, gltests/test-strerror.c,
	gltests/test-string.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/test-sys_stat.c,
	gltests/test-time.c, gltests/test-unistd.c,
	gltests/test-unsetenv.c, gltests/test-update-copyright.sh,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/test-wchar.c,
	gltests/time.in.h, gltests/unsetenv.c, gltests/verify.h,
	gltests/version-etc-fsf.c, gltests/wchar.in.h, lib/gl/Makefile.am,
	lib/gl/c-ctype.c, lib/gl/c-ctype.h, lib/gl/c-strcase.h,
	lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c, lib/gl/gettext.h,
	lib/gl/iconv.in.h, lib/gl/iconv_open.c, lib/gl/m4/00gnulib.m4,
	lib/gl/m4/codeset.m4, lib/gl/m4/extensions.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/ld-output-def.m4,
	lib/gl/m4/ld-version-script.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-tr.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/wchar.m4, lib/gl/m4/wchar_t.m4,
	lib/gl/m4/wint_t.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/gl/wchar.in.h,
	lib/gltests/Makefile.am, lib/gltests/dummy.c,
	lib/gltests/intprops.h, lib/gltests/macros.h,
	lib/gltests/signature.h, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-iconv.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-striconv.c, lib/gltests/test-string.c,
	lib/gltests/test-strverscmp.c, lib/gltests/test-wchar.c,
	lib/gltests/verify.h, maint.mk: Update gnulib files.

2009-12-26  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/getopt.c, gl/getopt1.c, gl/getopt_int.h,
	gl/m4/cloexec.m4, gl/m4/dos.m4, gl/m4/dup2.m4, gl/m4/extensions.m4,
	gl/m4/fcntl-o.m4, gl/m4/fcntl.m4, gl/m4/fcntl_h.m4,
	gl/m4/getdtablesize.m4, gl/m4/getopt.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/lstat.m4, gl/m4/mode_t.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/setenv.m4, gl/m4/stat.m4,
	gl/m4/symlink.m4, gl/m4/sys_stat_h.m4, gl/m4/time_h.m4,
	gl/m4/wchar.m4, gl/unistd.in.h, gltests/Makefile.am,
	gltests/binary-io.h, gltests/cloexec.c, gltests/cloexec.h,
	gltests/dup2.c, gltests/fcntl.c, gltests/fcntl.in.h,
	gltests/getdtablesize.c, gltests/lstat.c, gltests/macros.h,
	gltests/open.c, gltests/pathmax.h, gltests/same-inode.h,
	gltests/signature.h, gltests/stat.c, gltests/stdlib.in.h,
	gltests/symlink.c, gltests/sys_stat.in.h, gltests/test-binary-io.c,
	gltests/test-binary-io.sh, gltests/test-cloexec.c,
	gltests/test-dup2.c, gltests/test-fcntl-h.c, gltests/test-fcntl.c,
	gltests/test-getdtablesize.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-lstat.c, gltests/test-lstat.h, gltests/test-open.c,
	gltests/test-open.h, gltests/test-setenv.c, gltests/test-stat.c,
	gltests/test-stat.h, gltests/test-strerror.c,
	gltests/test-symlink.c, gltests/test-symlink.h,
	gltests/test-sys_stat.c, gltests/test-time.c,
	gltests/test-unsetenv.c, gltests/test-version-etc.c,
	gltests/time.in.h, lib/gl/m4/extensions.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/wchar.m4, lib/gltests/Makefile.am, lib/gltests/macros.h,
	lib/gltests/signature.h, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-iconv.c, lib/gltests/test-striconv.c,
	lib/gltests/test-strverscmp.c: Update gnulib files.

2009-12-19  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gltests/Makefile.am, lib/gl/Makefile.am,
	lib/gltests/Makefile.am: Update gnulib files.

2009-12-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-12-16  Simon Josefsson <simon@josefsson.org>

	* build-aux/arg-nonnull.h, gl/m4/stdbool.m4, gltests/stdbool.in.h,
	gltests/test-stdbool.c: Update gnulib files.

2009-12-16  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, build-aux/link-warning.h, gl/Makefile.am,
	gl/error.c, gl/error.h, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_int.h, gl/gettext.h, gl/intprops.h, gl/m4/error.m4,
	gl/m4/extensions.m4, gl/m4/getopt.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/longlong.m4,
	gl/m4/putenv.m4, gl/m4/setenv.m4, gl/m4/stdint.m4,
	gl/m4/string_h.m4, gl/m4/unistd_h.m4, gl/m4/version-etc.m4,
	gl/m4/warnings.m4, gl/m4/wchar.m4, gl/override/lib/gettext.h.diff,
	gl/progname.c, gl/progname.h, gl/strerror.c, gl/string.in.h,
	gl/unistd.in.h, gl/version-etc.c, gl/version-etc.h,
	gltests/Makefile.am, gltests/malloca.c, gltests/malloca.h,
	gltests/putenv.c, gltests/setenv.c, gltests/stdint.in.h,
	gltests/stdlib.in.h, gltests/test-environ.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-setenv.c, gltests/test-strerror.c,
	gltests/test-unsetenv.c, gltests/test-update-copyright.sh,
	gltests/test-version-etc.sh, gltests/unsetenv.c, gltests/verify.h,
	gltests/wchar.in.h, lib/gl/Makefile.am, lib/gl/c-strcasecmp.c,
	lib/gl/c-strncasecmp.c, lib/gl/gettext.h, lib/gl/iconv.in.h,
	lib/gl/iconv_open.c, lib/gl/m4/extensions.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/longlong.m4, lib/gl/m4/stdbool.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/string_h.m4, lib/gl/m4/wchar.m4,
	lib/gl/override/lib/gettext.h.diff, lib/gl/stdint.in.h,
	lib/gl/striconv.c, lib/gl/striconv.h, lib/gl/string.in.h,
	lib/gl/strverscmp.c, lib/gl/wchar.in.h, lib/gltests/Makefile.am,
	lib/gltests/intprops.h, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-iconv.c, lib/gltests/test-striconv.c,
	lib/gltests/test-strverscmp.c, lib/gltests/verify.h, maint.mk: 
	Update gnulib files.

2009-11-18  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe2html, doc/cyclo/Makefile.am, gl/Makefile.am,
	gl/intprops.h, gl/m4/environ.m4, gl/m4/gnulib-comp.m4,
	gl/m4/malloc.m4, gl/m4/putenv.m4, gl/m4/setenv.m4,
	gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4, gl/unistd.in.h,
	gl/version-etc.c, gltests/Makefile.am, gltests/malloc.c,
	gltests/putenv.c, gltests/setenv.c, gltests/stdlib.in.h,
	gltests/test-setenv.c, gltests/test-unsetenv.c, gltests/unsetenv.c,
	lib/gltests/Makefile.am, lib/gltests/intprops.h, maint.mk: Update
	gnulib files.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe2html, build-aux/update-copyright,
	build-aux/useless-if-before-free, doc/cyclo/Makefile.am,
	gl/getopt.c, gl/m4/gnulib-comp.m4, gl/m4/pmccabe2html.m4,
	gl/m4/stdlib_h.m4, gltests/Makefile.am, gltests/stdlib.in.h,
	gltests/test-getopt.c, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdlib.c,
	gltests/test-strerror.c, gltests/test-string.c,
	gltests/test-unistd.c, gltests/test-update-copyright.sh,
	gltests/test-version-etc.c, gltests/test-wchar.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-string.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-wchar.c, maint.mk: Update gnulib files.

2009-10-19  Simon Josefsson <simon@josefsson.org>

	* gl/unistd.in.h: Update gnulib files.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix link error on mingw.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.in.h, gl/getopt_int.h, gl/m4/alloca.m4,
	gl/m4/eealloc.m4, gl/m4/getopt.m4, gl/m4/gnulib-comp.m4,
	gl/m4/malloca.m4, gl/m4/unistd_h.m4, gl/progname.c, gl/unistd.in.h,
	gltests/Makefile.am, gltests/alloca.in.h, gltests/malloca.c,
	gltests/malloca.h, gltests/malloca.valgrind, gltests/setenv.c,
	gltests/test-alloca-opt.c, gltests/test-getopt.c,
	gltests/test-getopt_long.h, gltests/test-malloca.c,
	lib/gltests/Makefile.am, maint.mk: Update gnulib files.

2009-09-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-09-22  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/update-copyright, gl/Makefile.am,
	gl/m4/getopt.m4, gl/m4/gnulib-comp.m4, gl/m4/stdlib_h.m4,
	gl/m4/string_h.m4, gl/m4/unistd_h.m4, gl/progname.c,
	gl/string.in.h, gl/unistd.in.h, gltests/Makefile.am,
	gltests/stdlib.in.h, lib/gl/Makefile.am,
	lib/gl/iconv_open-solaris.gperf, lib/gl/iconv_open.c,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/string_h.m4, lib/gl/string.in.h, maint.mk: Update gnulib
	files.

2009-09-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac, pom.xml.in: Add Maven pom.xml file.

2009-09-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Note about OS/2 port.

2009-08-20  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2009-08-18  Simon Josefsson <simon@josefsson.org>

	* build-aux/update-copyright, gl/Makefile.am, gl/m4/gnulib-comp.m4,
	gl/m4/stddef_h.m4, gl/m4/wchar.m4, gl/stddef.in.h, gl/string.in.h,
	gl/unistd.in.h, gltests/Makefile.am, gltests/stdlib.in.h,
	gltests/test-stddef.c, gltests/test-stdlib.c,
	gltests/test-string.c, gltests/test-unistd.c,
	gltests/test-update-copyright.sh, gltests/test-wchar.c,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/stddef_h.m4, lib/gl/m4/wchar.m4, lib/gl/stddef.in.h,
	lib/gl/string.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-stddef.c, lib/gltests/test-string.c,
	lib/gltests/test-wchar.c, maint.mk: Update gnulib files.

2009-08-14  Simon Josefsson <simon@josefsson.org>

	* build-aux/update-copyright, gl/Makefile.am, gl/m4/environ.m4,
	gl/m4/getopt.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/longlong.m4, gl/m4/multiarch.m4, gl/m4/setenv.m4,
	gl/m4/stdint.m4, gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4,
	gl/m4/wchar.m4, gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/unistd.in.h,
	gltests/Makefile.am, gltests/stdint.in.h, gltests/stdlib.in.h,
	gltests/test-environ.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-stdint.c, gltests/test-stdlib.c,
	gltests/test-string.c, gltests/test-unistd.c,
	gltests/test-update-copyright.sh, gltests/test-version-etc.sh,
	gltests/test-wchar.c, gltests/unsetenv.c, gltests/wchar.in.h,
	lib/gltests/test-string.c: Update gnulib files.

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* build-aux/update-copyright, gltests/test-update-copyright.sh,
	maint.mk: Update gnulib files.

2009-08-04  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gltests/Makefile.am: Update gnulib files.

2009-08-04  Simon Josefsson <simon@josefsson.org>

	* lib/gl/m4/iconv.m4, maint.mk: Update gnulib files.

2009-07-29  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Typo.

2009-07-22  Simon Josefsson <simon@josefsson.org>

	* build-aux/vc-list-files, gl/Makefile.am, gl/errno.in.h,
	gl/error.c, gl/m4/errno_h.m4, gl/m4/gnulib-comp.m4,
	gl/m4/unistd_h.m4, gl/strerror.c, gl/unistd.in.h, gl/version-etc.c,
	gl/version-etc.h, gltests/Makefile.am, gltests/test-string.c,
	gltests/test-unistd.c, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/verify.h,
	gltests/version-etc-fsf.c, lib/gl/m4/lib-link.m4,
	lib/gltests/test-string.c, maint.mk: Update gnulib files.

2009-06-17  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2009-06-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/string_h.m4, gl/string.in.h,
	lib/gl/Makefile.am, lib/gl/m4/string_h.m4, lib/gl/string.in.h: 
	Update gnulib files.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* doc/texinfo.css: Fix.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add version number to manual title.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h: Generated.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh: Chmod +x.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.15.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-05  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/version-etc.m4, gl/version-etc.c: 
	Update gnulib files.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, java/misc/GenerateNFKC.java,
	java/misc/GenerateRFC3454.java, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java: Fix some java warnings.

2009-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/Makefile.am: Check stack usage in library.

2009-06-01  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4: Update gnulib files.

2009-05-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, lib/idna.c: Use c_strcasecmp instead of strcasecmp.
	Reported by Guenter Knauf <gk@gknw.de>.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac, examples/Makefile.am, lib/Makefile.am,
	src/Makefile.am, tests/Makefile.am: Improve warning handling.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload: Update gnulib files.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* gl/m4/include_next.m4, lib/gl/m4/include_next.m4: Update gnulib
	files.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* m4/pkg.m4: Add.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gltests/test-vc-list-files-git.sh, maint.mk: 
	Update gnulib files.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make: Fix syntax-check.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make, m4/gtk-doc.m4: Upgrade gtk-doc files.

2009-05-08  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/m4/errno_h.m4, gl/m4/gnulib-comp.m4,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/multiarch.m4, maint.mk: Update gnulib files.

2009-05-08  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Make -Werror more optional.

2009-05-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2009-05-05  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2009-05-05  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2009-05-03  Simon Josefsson <simon@josefsson.org>

	* gl/gettext.h, lib/gl/Makefile.am, lib/gl/gettext.h,
	lib/gl/m4/wchar.m4, lib/gl/wchar.in.h, maint.mk: Update gnulib
	files.

2009-04-27  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2009-04-27  Simon Josefsson <simon@josefsson.org>

	* build-aux/vc-list-files, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, maint.mk: Update gnulib files.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .prev-version: Add.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_makefile-check~, .x-sc_makefile_check~, .x-sc_space_tab~: 
	rm.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_avoid_if_before_free, .x-sc_makefile-check~,
	.x-sc_makefile_check, .x-sc_makefile_check~, gltests/Makefile.am,
	java/Makefile.am, java/misc/Makefile.am, maint.mk: Fix
	syntax-checks.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix for modern git.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* build-aux/useless-if-before-free, build-aux/vc-list-files,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gltests/Makefile.am, gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh: Add modules, for syntax-check.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix warnings.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_the_the, cfg.mk, configure.ac: Syntax check fixes.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_error_message_uppercase, .x-sc_file_system,
	.x-sc_prohibit_atoi_atof, cfg.mk, contrib/idn-python/Makefile,
	contrib/idn-python/idn.c, contrib/idn-python/test.py, gl/getopt1.c,
	lib/nfkc.c, lib/version.c, m4/valgrind.m4, src/idn.c: Syntax check
	fixes.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_space_tab, .x-sc_space_tab~, NEWS, gtk-doc.make,
	m4/valgrind.m4: Syntax check fixes.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_avoid_if_before_free, .x-sc_cast_of_alloca_return_value,
	lib/stringprep.c, maint.mk: Update gnulib files.

2009-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-04-23  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template, maint.mk: Update gnulib files.

2009-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi: Improve texinfo section names.

2009-04-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac: AM_PROG_GCJ needs to be called unconditionally.
	Sigh.  Otherwise you get this error: conditional "am__fastdepGCJ"
	was never defined.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac, m4/ac_prog_javac.m4, m4/ac_prog_javac_works.m4,
	m4/ac_prog_javadoc.m4: Fix java detection.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h: Bump version.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: Don't use assert keyword to avoid
	compilation error.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, doc/lgpl-2.1.texi,
	lib/gl/m4/ld-version-script.m4, maint.mk: Update gnulib files.

2009-04-03  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-04-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.14.

2009-04-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/Makefile.am, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/ld-output-def.m4: Use --output-def.

2009-04-03  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4: Update gnulib files.

2009-04-01  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Assume locale.h.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Copy cyclo chart to webdir.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* gl/unistd.in.h: Update gnulib files.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* tests/tst_toutf8.c: Don't crash in memcmp if
	stringprep_utf8_to_locale returns NULL.  Reported by Dagobert
	Michelsen <dam@opencsw.org> in
	<http://thread.gmane.org/gmane.comp.gnu.libidn.general/192>.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gnupload, maint.mk: Update gnulib files.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump version.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.13.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add credits.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't use warnings unless we are using GCC.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload: Update gnulib files.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Clarify.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/punycode.h, lib/tld.h: Namespace discussion.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, lib/gl/Makefile.am: Update gnulib files.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/idn-free.h: Fix.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/idn-free.c, lib/idn-free.h, lib/pr29.c, lib/pr29.h: Finish API
	visibility markup.  Now passes self tests.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h, lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/stringprep.h, lib/tld.c: Mark visibility of API functions.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Ignore decorators.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Improve decorators.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Add symbol visibility markup.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gl/m4/visibility.m4: Update gnulib files.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* m4/linker-script.m4: Remove.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/visibility.m4: Use visibility
	module.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Typo.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: More debug info.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Debug output about version script.

2009-03-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/Makefile.am, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/ld-version-script.m4: Use gnulib ld-version-script module.
	Re-add use of -export-symbols-regex for other platforms.

2009-03-02  Simon Josefsson <simon@josefsson.org>

	* lib/libidn.map: Add license.  Use v1.0 in name.

2009-03-02  Simon Josefsson <simon@josefsson.org>

	* lib/libidn.map: Add.

2009-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/Makefile.am, m4/linker-script.m4: Use a
	linker version script.

2009-03-02  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, gl/m4/stdarg.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/stdint.m4, lib/gl/stdint.in.h: 
	Update gnulib files.

2009-02-24  Simon Josefsson <simon@josefsson.org>

	* gl/m4/include_next.m4, lib/gl/m4/include_next.m4: Update gnulib
	files.

2009-02-10  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Don't remove idn_cmd.c and idn_cmd.h on
	distclean, use maintainer-clean instead.  Reported by "Sisyphus"
	<sisyphus1@optusnet.com.au> in
	<http://thread.gmane.org/gmane.comp.gnu.libidn.general/178>.

2009-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, doc/Makefile.am, doc/libidn.texi,
	doc/reference/Makefile.am, doc/reference/libidn-docs.sgml,
	lib/idn-free.c, lib/nfkc.c: Document the idn_free function.

2009-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h: Bump version.

2009-02-09  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Drop emit_bug_reporting_address, it is now provided by
	gnulib version-etc.

2009-02-06  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/m4/00gnulib.m4, gl/m4/extensions.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/pmccabe2html.m4, gl/version-etc.c, gl/version-etc.h,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/extensions.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/locale-fr.m4: Update gnulib files.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.12.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, src/idn.c, src/idn.ggo: idn: Add new
	--no-tld to resolve broken --tld parameter.  Reported by Christian
	Hammers <ch@lathspell.de> in
	http://thread.gmane.org/gmane.comp.gnu.libidn.general/162

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use gdoc's -pkg-name.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Add -pkg-name parameter.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* gl/m4/errno_h.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/unistd.in.h, gltests/test-unistd.c, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/multiarch.m4: Update gnulib
	files.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Cleanup.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Bump copyright years.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Update --help output per new GNU coding standards.

2009-01-19  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h: Update gnulib
	files.

2009-01-19  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years for man pages.

2009-01-17  Simon Josefsson <simon@josefsson.org>

	* : Touch.

2009-01-17  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2009-01-17  Simon Josefsson <simon@josefsson.org>

	* contrib/README, csharp/IDNA.cs, csharp/IDNAException.cs,
	csharp/Makefile.am, csharp/NFKC.cs, csharp/Punycode.cs,
	csharp/PunycodeException.cs, csharp/Stringprep.cs,
	csharp/StringprepException.cs, csharp/generate/AssemblyInfo.cs,
	csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/Makefile.am, doc/Makefile.gdoci, doc/cyclo/Makefile.am,
	doc/gdoc, doc/java/Makefile.am, doc/libidn.texi,
	doc/tld/Makefile.am, doc/tld/README, examples/Makefile.am,
	examples/README, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c, examples/example5.c,
	java/Makefile.am, java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/nfkc.c, lib/pr29.c, lib/pr29.h,
	lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/README, src/Makefile.am, src/idn.c,
	src/idn.ggo, src/idna.el, src/punycode.el, tests/Makefile.am,
	tests/tst_idna.c, tests/tst_idna2.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_tld.c, tests/tst_toutf8.c,
	tests/utils.c, tests/utils.h: Bump copyright years.

2009-01-17  Simon Josefsson <simon@josefsson.org>

	* lib/gl/override/lib/stdint.in.h.diff, lib/gl/stdint.in.h: Update
	gnulib files.

2009-01-17  Simon Josefsson <simon@josefsson.org>

	* gl/m4/csharp.m4, gl/m4/csharpcomp.m4, gl/m4/errno_h.m4,
	gl/m4/gnulib-common.m4, gl/progname.c, gl/strerror.c,
	lib/gl/m4/codeset.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconv_open.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/locale-fr.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stdint.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/override/lib/stdint.in.h.diff, lib/gl/stdint.in.h,
	lib/gl/wchar.in.h: Update gnulib files.

2009-01-05  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, gl/Makefile.am,
	gl/m4/errno_h.m4, gl/m4/extensions.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/unistd.in.h, gl/version-etc.c,
	gltests/Makefile.am, lib/gl/Makefile.am, lib/gl/m4/codeset.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/locale-fr.m4,
	lib/gl/m4/multiarch.m4, lib/gl/m4/stdint.m4, lib/gl/m4/wchar.m4,
	lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4, lib/gl/stdint.in.h,
	lib/gl/wchar.in.h, lib/gltests/Makefile.am: Update gnulib files.

2009-01-05  Simon Josefsson <simon@josefsson.org>

	* lib/gl/override/lib/stdint.in.h.diff: Update.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix comment.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix warning initialization.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add warning flag.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4, lib/nfkc.c, maint.mk: Update gnulib files.
	Fix warning.

2008-12-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix java jar path.

2008-12-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java: Improve
	JavaDoc output.

2008-12-02  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4: Update gnulib files.

2008-12-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/gendocs_template, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/include_next.m4,
	gl/m4/warnings.m4, lib/gl/m4/include_next.m4, lib/gl/stdint.in.h,
	maint.mk: Update gnulib files.

2008-11-29  Simon Josefsson <simon@josefsson.org>

	* gl/override/doc/gendocs_template.diff: Fix

2008-11-29  Simon Josefsson <simon@josefsson.org>

	* gl/override/doc/gendocs_template.diff: Fix javadoc pointer.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Rewrite warning initializations.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* gl/m4/warnings.m4: Update gnulib files.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac: Simplify warning handling.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/m4/warnings.m4: Make configure slightly faster.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac: Disable -Wunreachable-code.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/override/lib/progname.h.diff, gl/progname.h,
	lib/toutf8.c: Fix warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, examples/example3.c, examples/example4.c,
	examples/example5.c, src/Makefile.am: Fix warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, tests/tst_nfkc.c, tests/tst_pr29.c, tests/utils.h: Fix
	warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, gl/gettext.h, gl/override/lib/gettext.h.diff,
	lib/gl/gettext.h, lib/gl/override/lib/gettext.h.diff: Fix vla
	warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/idna.c, lib/nfkc.c: Fix warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/m4/warnings.m4: Make it easier to read warning
	settings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload: Update gnulib files.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix warning.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac, examples/example.c, tests/tst_strerror.c,
	tests/tst_tld.c: Enable warnings.  Fix warnings.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix warnings.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* libidn.pc.in: Add URL field.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac, m4/update-header-version.m4, m4/valgrind.m4: Use
	external macros for shared operations.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove linker script message.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update gnulib files.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, build-aux/pmccabe2html, cfg.mk, configure.ac,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/warnings.m4: Update gnulib files.  Use warnings module.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Neatify.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use GFDLv1.3+ as license.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/Makefile.am, doc/fdl-1.3.texi, doc/fdl.texi,
	doc/libidn.texi, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/strdup.m4, lib/gl/strdup.c, maint.mk: Update gnulib files.
	Use GFDLv1.3+ for manual.

2008-11-03  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/Punycode.java: Fix Javadoc comments on
	important classes.

2008-10-30  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: The -DLIBIDN_BUILDING Windows hack is no longer
	needed.

2008-10-29  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.in: Disable man pages.

2008-10-29  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.in: Fix typo.

2008-10-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, contrib/doxygen/Doxyfile.in, contrib/doxygen/Doxyfile.orig: 
	Modernize doxygen configuration.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Use coverage rules from gnulib.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.11.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* doc/texinfo.css: Use white background.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* gltests/Makefile.am, lib/gltests/Makefile.am: Update gnulib files.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Sync with gnutls.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Generalize coverage rules.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Increase code coverage.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* tests/tst_pr29.c: Increase code coverage.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am, tests/tst_idna.c, tests/tst_strerror.c,
	tests/tst_toutf8.c: Increase code coverage in self-tests.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* tests/tst_strerror.c: Increase code coverage.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Increase code coverage.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix web-coverage rule.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix release target.  Add web-coverage targets.

2008-10-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, gltests/Makefile.am, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/strdup.m4, lib/gl/strdup.c, lib/gltests/Makefile.am: 
	Revert gnulib avoid of strdup.

2008-10-27  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Add coverage rules.

2008-10-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, csharp/IDNA.cs, csharp/IDNAException.cs,
	csharp/Makefile.am, csharp/NFKC.cs, csharp/Punycode.cs,
	csharp/PunycodeException.cs, csharp/Stringprep.cs,
	csharp/StringprepException.cs, csharp/generate/AssemblyInfo.cs,
	csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs: Re-add
	lost copyright headers for C# port.

2008-10-27  Simon Josefsson <simon@josefsson.org>

	* gl/unistd.in.h: Update gnulib files.

2008-10-22  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Re-license under GPLv3.

2008-10-22  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Replace - with \- in man page output in more places.

2008-10-22  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Reduce code duplication.

2008-10-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-22  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use GPLv3.  Clarify copyright and license.  Use GAP for
	man page license.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix mingw32 rule.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* lib/version.c: Use STRINGPREP_VERSION instead of PACKAGE_VERSION
	for MSVS builds.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Change win32 files.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* win32/include/config.h: Extracted from gen-win32-headers.pl.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* win32/include/Wild.pm: Rm.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/idna.h, lib/stringprep.h,
	win32/include/gen-win32-headers.pl, win32/libidn.vcproj: Avoid perl
	dependency on Windows.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h: Cleanups, preparing for Win32 fixes.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h: Cleanups, preparing for Win32 fixes.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix last commit.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* FAQ, configure.ac, lib/Makefile.am, lib/stringprep.h,
	lib/stringprep.h.in: Don't use substition for stringprep.h header
	file.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/errno.in.h, gl/m4/gnulib-common.m4,
	gl/m4/unistd_h.m4, gl/stdarg.in.h, gl/string.in.h, gl/unistd.in.h,
	lib/gl/iconv.in.h, lib/gl/m4/gnulib-common.m4, lib/gl/stdint.in.h,
	lib/gl/string.in.h, lib/gl/wchar.in.h: Update gnulib files.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe2html: Update gnulib files.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Update gnulib files.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, doc/Makefile.am, doc/cyclo/Makefile.am,
	doc/prmgt/Makefile.am: Rename doc/prmgt/ to doc/cyclo/.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h: 
	Update gnulib files.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* doc/prmgt/Makefile.am: Fix.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add prmgt/.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* doc/prmgt/Makefile, doc/prmgt/Makefile.am~,
	doc/prmgt/Makefile.in, doc/prmgt/libidn-cyclo.html,
	doc/prmgt/pmccabe.css: Remove accidentally added files.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe.css, build-aux/pmccabe2html,
	gl/m4/pmccabe2html.m4: Update gnulib files.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/prmgt/Makefile, doc/prmgt/Makefile.am,
	doc/prmgt/Makefile.am~, doc/prmgt/Makefile.in,
	doc/prmgt/libidn-cyclo.html, doc/prmgt/pmccabe.css, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Use pmccabe2html.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/errno.in.h, gl/m4/unistd_h.m4, gl/strerror.c,
	gl/unistd.in.h, lib/gl/c-ctype.h: Update gnulib files.

2008-09-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4, lib/gl/m4/wchar.m4: 
	Update gnulib files.

2008-09-29  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Need AC_CONFIG_MACRO_DIR too, to avoid libtool
	warnings, sigh.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* po/eo.po.in, po/fr.po.in: Sync with TP.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4: Update gnulib files.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/reference/Makefile.am: Enable automake warnings.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* README: Say 'or later' wrt licenses.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* doc/texinfo.css: Improve cosmetics.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* doc/texinfo.css: Minor cosmetic fixes.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add AC_COPYRIGHT.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, cfg.mk, configure.ac, examples/Makefile.am,
	lib/Makefile.am, src/Makefile.am, tests/Makefile.am: Support a
	WARN_CFLAGS to trigger compiler warnings.

2008-09-22  Simon Josefsson <simon@josefsson.org>

	* : Touch.

2008-09-18  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/gdoc2doxygen, lib/gen-stringprep-tables.pl,
	lib/gen-tld-tables.pl, lib/gen-unicode-tables.pl: Remove final
	references to GPLv2.

2008-09-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/malloc.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/strdup.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/malloc.c, lib/gl/stdlib.in.h, lib/gl/strdup.c,
	lib/gl/unistd.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-stdlib.c, lib/gltests/test-unistd.c: Assume strdup.

2008-09-18  Simon Josefsson <simon@josefsson.org>

	* gl/errno.in.h, gl/m4/errno_h.m4, gltests/test-errno.c: Add.

2008-09-18  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/strerror.m4,
	gl/strerror.c, gltests/Makefile.am, gltests/test-strerror.c: Update
	gnulib files.

2008-09-12  Simon Josefsson <simon@josefsson.org>

	* build-aux/config.rpath, gl/m4/include_next.m4,
	lib/gl/m4/include_next.m4: Update gnulib files.

2008-09-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/include_next.m4, gl/stdarg.in.h,
	gl/string.in.h, gl/unistd.in.h, lib/gl/Makefile.am,
	lib/gl/iconv.in.h, lib/gl/m4/include_next.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4, lib/gl/stdint.in.h,
	lib/gl/stdlib.in.h, lib/gl/string.in.h, lib/gl/unistd.in.h,
	lib/gl/wchar.in.h: Update gnulib files.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Don't store negativa values in a size_t.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Sync.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Improve.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Sync.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention krb5 profile.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, doc/reference/libidn-docs.sgml: Add "or later"
	clauses when talking about license versions Suggested by
	karl@freefriends.org (Karl Berry).

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, cfg.mk: Move maintainer targets from Makefile.am to
	cfg.mk.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use git2cl directly.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Typo.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Split release target.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Generalize release target.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Create a copy of released files.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy all of javadoc.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix typo.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist more.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.10.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* win32/include/gen-win32-headers.pl: Declare strverscmp.

2008-08-27  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix warnings.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Remove freshmeat-submit template, no longer used.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* .clcopying, .cvscopying, .cvsusers, Makefile.am: Rename
	.cvscopying to .clcopying.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile: Update gnulib files.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* lib/gunibreak.h, lib/gunicomp.h, lib/gunidecomp.h: Add generated
	files because perl 5.10 breaks gen-unicode-tables.pl.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/id.po.in: Sync with TP.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, src/idn.c, src/idn.ggo: idn: accept -n as short form
	for --nfkc.  Before '-k' was used as the short form, but all
	documentation has said '-n'.  We now accept both short forms, and -n
	remains the documented short form.  Reported by John McGowan
	<jmcgowan@inch.com> in

	<http://lists.gnu.org/archive/html/help-libidn/2008-08/msg00000.html>.

2008-08-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/autobuild.m4, gl/m4/string_h.m4,
	gl/string.in.h, lib/gl/Makefile.am, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/strverscmp.m4, lib/gl/string.in.h,
	lib/gl/strverscmp.h, lib/gltests/Makefile.am,
	lib/gltests/test-strverscmp.c, lib/version.c: Update gnulib files.

2008-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't try to add tar in www dir.

2008-08-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-08-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/m4/autobuild.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, m4/autobuild.m4: Update
	gnulib files.

2008-08-20  Simon Josefsson <simon@josefsson.org>

	* README: Fix URLs.

2008-08-20  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix URLs.

2008-08-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't put releases in www directory, after discussion
	with Savannah admins.

2008-08-06  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gnupload, gl/m4/gnulib-comp.m4,
	lib/gl/m4/gnulib-comp.m4: Update gnulib files.

2008-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-07-07  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/cs.po.in, po/it.po.in, po/nl.po.in, po/pl.po.in,
	po/vi.po.in, po/zh_CN.po.in: Sync with TP.

2008-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: Add gltests/ directories.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.9.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* po/cs.po.in, po/nl.po.in, po/pl.po.in, po/vi.po.in: Sync with TP.

2008-07-01  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gltests/Makefile.am,
	gltests/test-strerror.c, gltests/test-string.c,
	gltests/test-unistd.c, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/gnulib-tool.m4, lib/gl/m4/locale-fr.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gltests/Makefile.am, lib/gltests/dummy.c,
	lib/gltests/intprops.h, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcase.sh, lib/gltests/test-c-strcasecmp.c,
	lib/gltests/test-c-strncasecmp.c, lib/gltests/test-iconv.c,
	lib/gltests/test-stdbool.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-striconv.c,
	lib/gltests/test-string.c, lib/gltests/test-unistd.c,
	lib/gltests/test-wchar.c, lib/gltests/verify.h: Update gnulib files.

2008-06-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, csharp/generate/Tokenizer.cs: Work around C# compiler bug.

2008-06-17  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, doc/gendocs_template: Update gnulib files.

2008-06-10  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc3454.txt: Remove more text.

2008-06-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Drop invariant sections.

2008-05-30  Simon Josefsson <simon@josefsson.org>

	* lib/gl/stdbool.in.h, maint.mk: Update gnulib files.

2008-05-19  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4: Update gnulib
	files.

2008-05-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-05-12  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/string_h.m4, gl/string.in.h,
	lib/gl/Makefile.am, lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/stdlib.in.h, lib/gl/string.in.h: Update gnulib files.

2008-04-28  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh: Update gnulib files.

2008-04-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-04-28  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Use singularis STRING.  Suggested by Benno
	Schulenberg <coordinator@translationproject.org>.

2008-04-28  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Don't gettext error code.

2008-04-28  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Don't gettextize debug messages.

2008-04-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, src/idn.c: idn: fix error message when NFKC fails.
	Reported by Benno Schulenberg <coordinator@translationproject.org>.

2008-04-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2008-04-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.8.

2008-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-04-23  Simon Josefsson <simon@josefsson.org>

	* gl/m4/extensions.m4, gl/m4/getopt.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/strerror.m4, lib/gl/m4/extensions.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/stdint.m4, lib/gl/wchar.in.h: Update gnulib files.

2008-04-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2008-04-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-04-13  Simon Josefsson <simon@josefsson.org>

	* po/nl.po.in: Sync with TP.

2008-04-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, cfg.mk, po/Makevars, po/cs.po, po/cs.po.in,
	po/da.po, po/da.po.in, po/de.po, po/de.po.in, po/eo.po,
	po/eo.po.in, po/fi.po, po/fi.po.in, po/fr.po, po/fr.po.in,
	po/it.po, po/it.po.in, po/ja.po, po/ja.po.in, po/nl.po,
	po/nl.po.in, po/pl.po, po/pl.po.in, po/ro.po, po/ro.po.in,
	po/rw.po, po/rw.po.in, po/sr.po, po/sr.po.in, po/vi.po,
	po/vi.po.in, po/zh_CN.po, po/zh_CN.po.in: Move translations to
	*.po.in to avoid merge conflicts.  This allows us to avoid
	--no-location as well.

2008-04-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-04-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.7.

2008-04-10  Simon Josefsson <simon@josefsson.org>

	* gl/m4/include_next.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/stdint.m4: Update gnulib files.

2008-04-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gnupload: Update gnulib files.

2008-04-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, win32/include/unistd.h: Need dummy unistd.h for
	native Win32 builds.  Reported by Adam Strzelecki <ono@java.pl>.

2008-04-01  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c: Fix syntax-check warnings.

2008-04-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention idn --nfkc.

2008-04-01  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, lib/gl/Makefile.am, lib/gl/m4/stdlib_h.m4,
	lib/gl/stdlib.in.h, lib/gl/wchar.in.h: Update gnulib files.

2008-03-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/idn.c, src/idn.ggo: Add --nfkc parameter to idn tool.

2008-03-27  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Need @menu for Windows installation @node.

2008-03-25  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Need config.rpath workaround here.

2008-03-25  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/GNUmakefile, build-aux/maint.mk,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4, maint.mk: Update
	gnulib files, reverts local GNUmakefile hack.

2008-03-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/GNUmakefile: Update gnulib files.

2008-03-20  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Make windows installation instructions a separate
	node, for easy referencing.

2008-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2008-03-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/GNUmakefile, cfg.mk, maint-cfg.mk: Update gnulib files.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.6.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* README: Note that libidn is a GNU project.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/tmpl/libidn-unused.sgml,
	gtk-doc.make: Update GTK-DOC build system.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist Visual Studio files.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* win32/include/Wild.pm, win32/include/ac-stdint.h,
	win32/include/gen-win32-headers.pl, win32/include/idn-int.h,
	win32/include/stdbool.h: Add license statements on files.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, NEWS, THANKS, doc/libidn.texi, win32/include/Wild.pm,
	win32/include/ac-stdint.h, win32/include/gen-win32-headers.pl,
	win32/include/idn-int.h, win32/include/stdbool.h, win32/libidn.sln,
	win32/libidn.vcproj: Add native Visual Studio port, contributed by
	Adam Strzelecki.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.  Clarify difference between domain label and
	domain name.

2008-03-18  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4: Update gnulib files.

2008-03-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/Makefile.am, gl/m4/gnulib-comp.m4,
	gl/m4/include_next.m4, gl/m4/stdarg.m4, gl/stdarg.in.h,
	lib/gl/Makefile.am, lib/gl/m4/absolute-header.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/lib-link.m4: Update gnulib files.

2008-03-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-03-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc3454.txt: Remove non-free portions of RFC,
	leaving un-copyrightable material.  Also add some quotes from
	earlier e-mails about licensing on this.

2008-03-10  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/getopt.c: Bump versions.

2008-02-25  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h,
	lib/gl/Makefile.am, lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h: 
	Update gnulib files.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Bump.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.5.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix charset info.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, examples/example.c, examples/example3.c,
	examples/example4.c, examples/example5.c: Fix encoding.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4, lib/gl/stdint.in.h: 
	Update gnulib files.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add link.

2008-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, lib/gl/override/lib/stdint.in.h.diff: Don't include
	wchar.h, we don't need it.  Reported by Mike Frysinger
	<vapier@gentoo.org>, see
	<http://thread.gmane.org/gmane.comp.gnu.libidn.general/118>.

2008-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-02-06  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.am, maint-cfg.mk: Brace expansion is not
	POSIX portable.

2008-02-03  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload: Update gnulib files.

2008-01-24  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/fi.po: Sync with TP.

2008-01-24  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2008-01-24  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update gnulib files.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* build-aux/announce-gen: Update gnulib files.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Back-port from josefsson.org.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix markup.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention v1.0 as milestone.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* po/it.po: Sync with TP.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix markup.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add 'On Label Separators' section.  Add
	@documentencoding.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, maint-cfg.mk: Re-add config.rpath hack.

2008-01-15  Simon Josefsson <simon@josefsson.org>

	* build-aux/announce-gen, build-aux/config.rpath,
	build-aux/gendocs.sh, gl/Makefile.am, gl/error.h,
	gl/m4/string_h.m4, gl/string.in.h, lib/gl/Makefile.am,
	lib/gl/m4/string_h.m4, lib/gl/string.in.h: Update gnulib files.

2008-01-10  Simon Josefsson <simon@josefsson.org>

	* po/eo.po: Sync with TP.

2008-01-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2008-01-10  Simon Josefsson <simon@josefsson.org>

	* po/cs.po, po/nl.po, po/pl.po, po/vi.po: Sync with TP.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.4.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Typos.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update gnulib files.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* gl/progname.c, gl/progname.h: Add progname gnulib module.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix --help and --version

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/idn.c: Fix --help and --version

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/idn.c: Use gnulib version-etc for --version.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Bump copyright years.

2008-01-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add 2008 to copyright years.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Nicify --version output by changing AC_INIT project
	name.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/stdarg.m4, gl/version-etc.c,
	gl/version-etc.h: Add version-etc gnulib module.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/string_h.m4, gl/m4/unistd_h.m4,
	gl/string.in.h, gl/unistd.in.h, lib/gl/Makefile.am,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/stdlib.in.h, lib/gl/string.in.h,
	lib/gl/unistd.in.h: Update gnulib files.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-02  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/fi.po, po/nl.po, po/vi.po: Sync with TP.

2007-12-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-12-20  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Use .exe suffix for C# tool, required by Mono.

2007-12-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/m4/gnulib-comp.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/stdint.in.h: Update gnulib files.

2007-12-20  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Generalize.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't copy *.sig until it exists.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.3.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Reorder release target.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Reorder.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, maint-cfg.mk: Remove config.rpath hack.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/fdl.texi, doc/gendocs_template,
	doc/gpl-3.0.texi, gl/Makefile.am, gl/m4/csharpcomp.m4,
	gl/m4/strerror.m4, gl/m4/string_h.m4, gl/m4/unistd_h.m4,
	gl/string.in.h, gl/unistd.in.h, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/stdlib.in.h, lib/gl/string.in.h,
	lib/gl/unistd.in.h: Update gnulib files.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* lib/gl/m4/ulonglong.m4: Update gnulib files.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-12-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use gettext 0.17.

2007-10-29  Simon Josefsson <simon@josefsson.org>

	* gl/gettext.h, gl/string.in.h, gl/unistd.in.h: Update gnulib files.

2007-10-29  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/stdint.in.h, lib/gl/stdlib.in.h: 
	Update gnulib files.

2007-10-28  Simon Josefsson <simon@josefsson.org>

	* build-aux/maint.mk, gl/m4/gnulib-common.m4, gl/strerror.c,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/ulonglong.m4,
	lib/gl/stdbool.in.h, lib/gl/stdint.in.h: Update gnulib files.

2007-10-19  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/iconv.in.h, lib/gl/iconv_open.c,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/ulonglong.m4: Update gnulib files.

2007-10-13  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2007-10-13  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2007-10-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-10-13  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/cs.po: Sync with TP.

2007-10-13  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/intprops.h, gl/m4/gnulib-comp.m4,
	gl/m4/strerror.m4, gl/strerror.c, gl/string.in.h,
	lib/gl/string.in.h: Update gnulib files.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix install section.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/error.c, gl/error.h, gl/getopt.c,
	gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h, gl/gettext.h,
	gl/m4/gnulib-cache.m4, gl/strerror.c, gl/string.in.h,
	gl/unistd.in.h: Use GPLv3 in top-level gnulib files.

2007-10-08  Simon Josefsson <simon@josefsson.org>

	* build-aux/csharpcomp.sh.in, gl/Makefile.am, gl/dummy.c,
	gl/error.c, gl/error.h, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/m4/gnulib-comp.m4, gl/strerror.c,
	gl/string.in.h, gl/string_.h, gl/unistd.in.h, gl/unistd_.h,
	lib/gl/Makefile.am, lib/gl/iconv.in.h, lib/gl/iconv_.h,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stdint.m4, lib/gl/stdbool.in.h,
	lib/gl/stdbool_.h, lib/gl/stdint.in.h, lib/gl/stdint_.h,
	lib/gl/stdlib.in.h, lib/gl/stdlib_.h, lib/gl/string.in.h,
	lib/gl/string_.h, lib/gl/unistd.in.h, lib/gl/unistd_.h,
	lib/gl/wchar.in.h, lib/gl/wchar_.h: Update gnulib files.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix git-tag -l in release target.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.2.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Remove README-alpha.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Also upload to ftp.gnu.org.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Re-order to avoid autoreconf warning.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove sv.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Remove (not part of translation project).

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/csharpcomp.m4, gl/m4/gnulib-comp.m4,
	lib/gl/Makefile.am, lib/gl/m4/absolute-header.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/strverscmp.m4, lib/gl/string_.h: 
	Update gnulib files.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* gl/m4/extensions.m4, gl/m4/strerror.m4, gl/m4/string_h.m4,
	gl/strerror.c, gl/string_.h, lib/gl/m4/malloc.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/unistd_h.m4, lib/gl/malloc.c,
	lib/gl/stdlib_.h, lib/gl/unistd_.h: Update gnulib files.

2007-10-01  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, build-aux/.cvsignore, contrib/doxygen/.cvsignore,
	contrib/java/.cvsignore, csharp/.cvsignore, doc/.cvsignore,
	doc/java/.cvsignore, doc/java/gnu/inet/encoding/.cvsignore,
	doc/java/resources/.cvsignore, doc/man/.cvsignore,
	doc/reference/.cvsignore, doc/reference/tmpl/.cvsignore,
	doc/specifications/.cvsignore, doc/tld/.cvsignore,
	examples/.cvsignore, gl/.cvsignore, java/.cvsignore,
	java/gnu/.cvsignore, java/gnu/inet/.cvsignore,
	java/gnu/inet/encoding/.cvsignore, java/misc/.cvsignore,
	lib/.cvsignore, lib/gl/.cvsignore, libc/.cvsignore, m4/.cvsignore,
	po/.cvsignore, src/.cvsignore, tests/.cvsignore: Remove unused
	.cvsignore's.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.1.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* po/nl.po: Sync with TP.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Wrap.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-09-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Drop gnits mode.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Define LIBIDN_BUILDING, for Windows hack in
	stringprep.h.in.  Inspired by report and patch by "Christian
	Ehrlicher" <Ch.Ehrlicher@gmx.de>, see

	<http://lists.gnu.org/archive/html/help-libidn/2007-08/msg00003.html>.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: Mark variables with __declspec(import) on
	Windows.  Inspired by report and patch by "Christian Ehrlicher"
	<Ch.Ehrlicher@gmx.de>, see

	<http://lists.gnu.org/archive/html/help-libidn/2007-08/msg00003.html>.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Avoid using #include_next in idn-int.h when
	looking for stdint.h.  Reported by Remko van der Vossen
	<wich@stack.nl> in
	<http://thread.gmane.org/gmane.comp.gnu.libidn.general/65>, this
	tiny patch was suggested by Bruno Haible in
	<http://permalink.gmane.org/gmane.comp.lib.gnulib.bugs/10602>.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* build-aux/GNUmakefile, build-aux/maint.mk, lib/gl/m4/stdint.m4: 
	Update gnulib files.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Fix.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Sync with libidn.texi.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix intro.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix gpl/lgpl filenames.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.0.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Update license to GPLv3.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Update, sync with libidn.texi.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Clarify license versions.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example2.c, examples/example3.c,
	examples/example4.c, examples/example5.c: Relicense examples/* to
	GPLv3.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* src/idn.c, src/idn.ggo, src/idna.el, src/punycode.el,
	tests/tst_idna.c, tests/tst_idna2.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_tld.c, tests/utils.c,
	tests/utils.h: Relicense src/ and tests/ stuff to GPLv3.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, contrib/java/Makefile.am,
	doc/Makefile.am, doc/java/Makefile.am,
	doc/specifications/Makefile.am, doc/tld/Makefile.am,
	examples/Makefile.am, src/Makefile.am, tests/Makefile.am: Relicense
	Makefile.am and configure.ac to GPLv3.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* README: Clarify licenses.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* COPYING: Use GPLv3.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* gl/m4/include_next.m4: Update gnulib files.

2007-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, build-aux/announce-gen, build-aux/config.rpath,
	build-aux/gendocs.sh, build-aux/gnupload, build-aux/maint.mk,
	doc/fdl.texi, doc/gendocs_template, doc/gpl-3.0.texi, doc/gpl.texi,
	doc/lgpl-2.1.texi, doc/lgpl.texi, doc/libidn.texi, gl/Makefile.am,
	gl/error.c, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/unistd_h.m4, gl/override/doc/gpl.texi.diff,
	gl/override/doc/lgpl.texi.diff, gl/unistd_.h, lib/gl/Makefile.am,
	lib/gl/iconv_.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv_h.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/wchar.m4, lib/gl/stdint_.h,
	lib/gl/string_.h, lib/gl/wchar_.h: Update gnulib files.

2007-06-04  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* .cvscopying: Add year 2007.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* ChangeLog: Generated.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Version 0.6.14.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* README-alpha: Cvs to git changes.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* Makefile.am: Use git instead of cvs.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* configure.ac: Bump versions.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.13.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Install libidn-components.png in infodir, fixes
	broken image in the info manual.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn-docs.sgml: Fix
	image filename.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.texi: Rename @image files so that they
	are prefixed with $PROJECT, so they can be installed in $infodir
	without collisions.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* po/pl.po, po/vi.po: Sync with TP.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template, gl/Makefile.am, gl/m4/unistd_h.m4,
	gl/override/doc/gendocs_template,
	gl/override/doc/gendocs_template.diff, gl/unistd_.h,
	lib/gl/Makefile.am, lib/gl/iconv_.h, lib/gl/m4/iconv.m4,
	lib/gl/m4/stdint.m4, lib/gl/stdint_.h, lib/gl/string_.h,
	lib/gl/wchar_.h: Update.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* README: Clarify license of C# port.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Clarify license of java/csharp implementation.

2007-04-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-04-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.12.

2007-04-25  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2007-04-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2007-04-24  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Use AM_JAVACFLAGS instead of JAVACFLAGS.
	See

	<http://ftp.gnu.org/gnu/Manuals/automake-1.7.2/html_node/automake_78.html>.Tiny patch from Petteri Räty <betelgeuse@gentoo.org>.

2007-04-19  Simon Josefsson <simon@josefsson.org>

	* lib/gl/.cvsignore: [no log message]

2007-04-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-04-19  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/dummy.c, gl/m4/gnulib-comp.m4,
	lib/gl/.cvsignore, lib/gl/Makefile.am, lib/gl/iconv_.h,
	lib/gl/iconv_open-aix.gperf, lib/gl/iconv_open-hpux.gperf,
	lib/gl/iconv_open-irix.gperf, lib/gl/iconv_open-osf.gperf,
	lib/gl/iconv_open.c, lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4, lib/gl/m4/stdint.m4,
	lib/gl/stdbool_.h, lib/gl/string_.h, lib/gl/wchar_.h: Update.

2007-04-02  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix typo.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.11.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.10.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.9.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.11.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix path to csharpcomp.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Dist more.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix tests.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: fix

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/.cvsignore: [no log message]

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateNFKC.cs: Fix typo.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateNFKC.cs: Don't wait for newline from user
	(breaks batch usage).  Fix typo.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateRFC3454.cs: Don't wait for return from
	user (breaks batch usage).

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateRFC3454.cs: Fix namespace.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/IDNA.cs, csharp/IDNAException.cs, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/libidn.cmbx, csharp/libidn.csproj,
	csharp/libidn.csproj.user, csharp/libidn.prjx, csharp/libidn.sln: 
	Update, from Alexander Gnauck <gnauck@ag-software.de>.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/CombiningClass.cs, csharp/Composition.cs,
	csharp/DecompositionKeys.cs, csharp/DecompositionMappings.cs,
	csharp/RFC3454.cs: Remove.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Generate generated files.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateRFC3454.cs: AppendLine isn't supported by
	cscc, use Append+\n.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am, csharp/generate/AssemblyInfo.cs,
	csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs: Add code
	to generate tables, from Alexander Gnauck <gnauck@ag-software.de>.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* gl/dummy.c, gl/getopt_.h, lib/gl/stdint_.h: Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Revert.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* lib/gl/string.h: Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* build-aux/.cvsignore, doc/.cvsignore, gl/.cvsignore,
	lib/gl/.cvsignore: [no log message]

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, csharp/Makefile.am: Update gnulib.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, announce-gen, build-aux/GNUmakefile,
	build-aux/announce-gen, build-aux/config.rpath,
	build-aux/csharpcomp.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/link-warning.h, build-aux/maint.mk,
	csharpcomp.sh.in, gendocs.sh, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4,
	gl/unistd_.h, gnupload, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/string_h.m4, lib/gl/string_.h, maint-cfg.mk, maint.mk: 
	Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use build-aux.

2007-02-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-idnabis-issues-01.txt: Add.

2007-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/string_h.m4, lib/gl/string_.h: 
	Update.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/c-ctype.c, lib/gl/c-ctype.h,
	lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c,
	lib/gl/iconvme.c, lib/gl/iconvme.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconvme.m4,
	lib/gl/m4/stdbool.m4, lib/gl/stdbool_.h, lib/gl/striconv.c,
	lib/gl/striconv.h, lib/gl/string.h, lib/toutf8.c: Update.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* gl/m4/unistd_h.m4, lib/gl/Makefile.am, lib/gl/iconvme.c,
	lib/gl/m4/extensions.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/strdup.m4, lib/gl/m4/string_h.m4, lib/gl/strdup.c,
	lib/gl/strdup.h, lib/gl/string_.h: Update.

2007-01-25  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/absolute-header.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4, gl/unistd_.h,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/wchar.m4, lib/gl/stdint_.h,
	lib/gl/wchar_.h: Update.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.10.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* FAQ, NEWS, README, README-alpha, THANKS, TODO, configure.ac,
	contrib/README, contrib/doxygen/gdoc2doxygen,
	contrib/java/Makefile.am, contrib/java/README,
	csharp/CombiningClass.cs, csharp/Composition.cs,
	csharp/DecompositionKeys.cs, csharp/DecompositionMappings.cs,
	csharp/IDNA.cs, csharp/IDNAException.cs, csharp/Makefile.am,
	csharp/NFKC.cs, csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/RFC3454.cs, csharp/Stringprep.cs,
	csharp/StringprepException.cs, doc/Makefile.am, doc/Makefile.gdoci,
	doc/gdoc, doc/libidn.texi, doc/specifications/Makefile.am,
	doc/tld/Makefile.am, doc/tld/README, examples/Makefile.am,
	examples/README, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c, examples/example5.c,
	java/Makefile.am, java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/nfkc.c, lib/pr29.c, lib/pr29.h,
	lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h.in, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libidn.pc.in, maint-cfg.mk, po/POTFILES.in,
	src/Makefile.am, src/idn.c, src/idn.ggo, src/idna.el,
	src/punycode.el, tests/Makefile.am, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_nfkc.c, tests/tst_pr29.c,
	tests/tst_punycode.c, tests/tst_strerror.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Bump copyright years
	(also add older years which I forgot to add earlier).

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2007-01-03  Simon Josefsson <simon@josefsson.org>

	* announce-gen, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/lib-link.m4: Update.

2006-12-28  Simon Josefsson <simon@josefsson.org>

	* announce-gen, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Add.

2006-12-28  Simon Josefsson <simon@josefsson.org>

	* lib/gl/iconvme.c, lib/gl/m4/lib-link.m4, lib/gl/m4/stdint.m4,
	lib/gl/strdup.h: Update.

2006-12-26  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-suignard-stringprep-bis-00.txt: Add.

2006-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.9.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* m4/.cvsignore: [no log message]

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* m4/codeset.m4, m4/iconv.m4, m4/lib-link.m4: Remove.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump tool versions.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, lib/gl/Makefile.am,
	lib/gl/gettext.h, lib/gl/m4/stdint.m4: Update.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: Re-add test, with fixed code that doesn't
	use Java 1.5 syntax.  Suggested by "Stephane Mikaty"
	<mikaty@ecircle-ag.com>.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: Revert (didn't compile).

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: New self-test to test for ToIDNA
	regression regarding non-ascii dot-delimiters.  Tiny patch from
	"Stephane Mikaty" <mikaty@ecircle-ag.com>.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/IDNA.java: Fix non-ascii dot in strings,
	tiny patch from "Stephane Mikaty" <mikaty@ecircle-ag.com>.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt_.h, gl/gettext.h, gl/m4/gnulib-comp.m4,
	gnupload, lib/gl/Makefile.am, lib/gl/gettext.h,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/longlong.m4, lib/gl/stdint_.h: Update.

2006-10-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-10-31  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, gl/m4/gnulib-comp.m4,
	lib/gl/Makefile.am, lib/gl/gettext.h, lib/gl/iconvme.c,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4, lib/gl/stdint_.h: 
	Update.

2006-10-26  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-faltstrom-idnabis-tables-01.txt: Add.

2006-10-20  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-faltstrom-idnabis-tables-00.txt,
	doc/specifications/draft-klensin-idnabis-issues-00.txt: Add.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.8.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/idn.c: Assume locale.h and setlocale.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/Makefile.am: Build lib/gl/ earlier.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gl/.cvsignore: [no log message]

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Build gl/ first.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gl/Makefile.am,
	lib/gl/m4/absolute-header.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/ulonglong.m4, lib/gl/stdint_.h,
	po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Add stdint module to lib/.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/absolute-header.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/longlong.m4, gl/m4/stdint.m4,
	gl/m4/strdup.m4, gl/m4/ulonglong.m4, gl/stdint_.h, gl/strdup.c,
	gl/strdup.h: Remove.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Ignore all of lib/gl/.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Move libtool init, to avoid warnings.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/strverscmp.c, lib/gl/strverscmp.h: Add strverscmp.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/version.c: Rewrite using strverscmp, to fix some corner-cases.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gl/Makefile.am, lib/gl/gettext.h,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4, lib/iconvme.c,
	lib/iconvme.h: Use iconvme from gnulib.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Ignore strdup.h.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gl/.cvsignore: [no log message]

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, gl/Makefile.am, gl/gettext.h,
	gl/m4/gnulib-comp.m4, gl/m4/longlong.m4, gl/m4/stdint.m4,
	gl/m4/ulonglong.m4, gl/stdint_.h, gl/strdup.c, gnupload,
	lib/Makefile.am, lib/gl/Makefile.am, lib/gl/iconvme.c,
	lib/gl/iconvme.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconvme.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4,
	lib/gl/m4/strdup.m4, lib/gl/strdup.c, lib/gl/strdup.h: Separate
	gnulib directories.  Also update gnulib files.

2006-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-alvestrand-idna-bidi-00.txt: Add.

2006-10-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4713.txt: Add.

2006-10-02  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4690.txt: Add.

2006-09-27  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2006-09-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-25  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/override/doc/gpl.texi.diff,
	gl/override/doc/lgpl.texi.diff, gl/override/gpl.texi.diff,
	gl/override/lgpl.texi.diff: Update.

2006-09-21  Simon Josefsson <simon@josefsson.org>

	* doc/gpl.texi, doc/lgpl.texi, gl/override/gpl.texi.diff,
	gl/override/lgpl.texi.diff: Update.

2006-09-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/error.c, gl/getopt.c, gl/getopt1.c,
	gl/strdup.c: Update.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.7.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/onceonly_2_57.m4: Update.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: For C99 stdint.h platforms, create a dummy
	idn-int.h that include stdint.h, reported by Paul Howarth
	<paul@city-fan.org>.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move the index to the end.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix refs.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, doc/gpl.texi, doc/lgpl.texi, doc/libidn.texi,
	gl/Makefile.am, gl/m4/gnulib-comp.m4: Update.

2006-09-04  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, doc/gpl.texi, doc/lgpl.texi: Update.

2006-09-04  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2006-09-04  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gpl.texi, doc/lgpl.texi, doc/libidn.texi,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Add
	lgpl and gpl from gnulib.

2006-08-30  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use gnupload from gnulib.

2006-08-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gnupload: Update.

2006-08-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/error.c, gl/m4/gnulib-cache.m4,
	gl/m4/stdint.m4, gl/stdint_.h: Update.

2006-08-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/stdint.m4,
	gl/stdint_.h: Update.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.6.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* gl/m4/longlong.m4: Update.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/strdup.m4,
	gl/m4/strerror_r.m4: Update.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* gl/override/doc/gendocs_template: Add.

2006-08-19  Simon Josefsson <simon@josefsson.org>

	* gl/error.c, gl/m4/gnulib-comp.m4: Update.

2006-08-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-08-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-08-09  Simon Josefsson <simon@josefsson.org>

	* csharpcomp.sh.in, gendocs.sh, gl/Makefile.am, gl/error.c,
	gl/error.h, gl/gettext.h, gl/m4/csharpcomp.m4,
	gl/m4/gnulib-comp.m4, gl/m4/onceonly_2_57.m4, gl/m4/stdint.m4,
	gl/stdint_.h: Update.

2006-07-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2006-07-14  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Update.

2006-07-11  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, gl/Makefile.am, gl/m4/absolute-header.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/stdint.m4: 
	Update.

2006-07-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix texi2dvi -I's.

2006-07-10  Simon Josefsson <simon@josefsson.org>

	* gl/m4/absolute-header.m4, gl/m4/getopt.m4, gl/m4/gnulib-comp.m4,
	gl/m4/onceonly_2_57.m4: Update.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore: [no log message]

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, gl/Makefile.am, gl/m4/absolute-header.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/longlong.m4,
	gl/m4/stdint.m4, gl/stdint_.h, lib/Makefile.am,
	m4/ax_create_stdint_h.m4, po/da.po, po/de.po, po/eo.po, po/fr.po,
	po/it.po, po/ja.po, po/nl.po, po/pl.po, po/ro.po, po/rw.po,
	po/sr.po, po/sv.po, po/vi.po, po/zh_CN.po: Use gnulib stdint module
	instead of AX_CREATE_STDINT_H.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix gendocs.sh run.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.5.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Update.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.in, contrib/doxygen/Doxyfile.orig: Update
	to doxygen 1.4.7.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Need libintl too, for gettext, reported by Kirill
	Ponomarew <krion@voodoo.bawue.com>.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c: Update.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.4.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix valgrind test.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check if running valgrind works.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Need -I for texi2dvi too.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix paths.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* doc/man/.cvsignore: Add.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/onceonly_2_57.m4: Update.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Simplify valgrind usage.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for valgrind.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use GNU-style warnings.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix man output, sync.

2006-06-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use AC_LIBTOOL_WIN32_DLL.

2006-06-16  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-06.txt: Add.

2006-06-10  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/ja.po: Sync with TP.

2006-06-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4518.txt: Add.

2006-06-07  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2006-06-07  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2006-06-07  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: When printing size_t, use %lu and cast the value to
	unsigned long, based on report from Joe Orton <jorton@redhat.com>.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c: Include config.h, to make NLS work, tiny patch
	from Joe Orton <jorton@redhat.com>.

2006-05-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update.

2006-05-05  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore, doc/java/resources/.cvsignore: [no log
	message]

2006-05-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-05-04  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Run tests under valgrind, if present.

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/strerror_r.m4: Update.

2006-04-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-05.txt: Add.

2006-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix title.

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: fix

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make: Add.

2006-03-10  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-farah-adntf-adns-guidelines-01.txt: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Typo.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.3.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, po/da.po, po/de.po, po/eo.po, po/fr.po,
	po/it.po, po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po,
	po/sv.po, po/vi.po, po/zh_CN.po: Bump versions.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4,
	gl/unistd_.h, maint.mk: Update.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/m4/gnulib-comp.m4,
	gl/m4/unistd_h.m4, gl/unistd_.h, maint.mk: Update.

2006-03-07  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-04.txt: Add.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix update-po rule.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* examples/example3.c, examples/example4.c, lib/nfkc.c: Doc fix.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/stringprep.c, lib/toutf8.c,
	lib/version.c, src/idn.c, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_pr29.c, tests/tst_punycode.c,
	tests/tst_strerror.c, tests/tst_stringprep.c, tests/tst_tld.c,
	tests/utils.c: Stylistic fix.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, maint.mk: Update.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, examples/Makefile.am, lib/Makefile.am,
	src/Makefile.am, tests/Makefile.am: Remove indent.

2006-02-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-03.txt: Add.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.  Add mingw32 target.

2006-02-15  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.cfg, Makefile.maint, gl/m4/gnulib-comp.m4,
	maint-cfg.mk, maint.mk: Rename.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Remove.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.cfg, Makefile.maint: Add.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.maint, csharpcomp.sh.in, gl/Makefile.am,
	gl/csharpcomp.sh.in, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update gnulib.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.2.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix includes, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix -I's again, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix @verbatiminclude's, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix -I's, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add -I for examples.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* .cvscopying: Fix years.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.2.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/vi.po: Update.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* gl/csharpcomp.sh.in, gl/getopt.c, gl/m4/getopt.m4,
	gl/m4/gnulib-tool.m4: Update.

2006-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-03  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Fix objdir != srcdir, tiny patch from
	Bernard Leak <bernard@brenda-arkle.demon.co.uk>.

2006-02-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-02-03  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am, java/Makefile.am: Fix objdir != srcdir, tiny
	patch from Bernard Leak <bernard@brenda-arkle.demon.co.uk>.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix 'make distcheck'.

2006-01-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2006-01-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-07.txt: Add.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.1.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.1.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix mingw32 builds.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix make check on mingw32.

2006-01-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-xdlee-idn-cdnadmin-06.txt: Add.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4: Update.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.texi: Fix copyright years.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* README, README-alpha: Add.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix path to csharpcomp.sh.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, gl/.cvsignore: [no log message]

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update.

2006-01-09  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-cache.m4, gl/m4/gnulib-tool.m4: Update.

2006-01-09  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/csharpcomp.sh.in, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Update.

2006-01-09  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Print USC4 code point numbers too.

2005-12-23  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4290.txt: Add.

2005-12-22  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-01.txt: Add.

2005-12-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.0.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.0.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Csharp test is in gnulib now, remove it.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-00.txt: Add.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add C# notes.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix message.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/csharpcomp.sh.in, gl/m4/csharp.m4,
	gl/m4/csharpcomp.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	m4/csharp.m4, m4/csharpcomp.m4: Use csharpcomp-script from gnulib.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Don't specify any C# compile flags (fixes
	distcheck).

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/rw.po, po/zh_CN.po: Sync with TP.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Dist MSVS stuff.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/libidn.csproj, csharp/libidn.csproj.user,
	csharp/libidn.sln, csharp/libidn_PPC.csdproj,
	csharp/libidn_PPC.csdproj.user, csharp/libidn_PPC.sln: Add MSVSC
	project files.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/CombiningClass.cs, csharp/Composition.cs,
	csharp/DecompositionKeys.cs, csharp/DecompositionMappings.cs,
	csharp/IDNA.cs, csharp/IDNAException.cs, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs, csharp/RFC3454.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs: Use GPL for the
	port.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/.cvsignore, gl/.cvsignore: [no log message]

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, csharp/Makefile.am: Fix csharpcomp location.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/csharpcomp.sh.in: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, csharp/Makefile.am: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix message.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* m4/csharp.m4, m4/csharpcomp.m4: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add C# tests.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Remove.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* .cvscopying: Add 2005.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, THANKS: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Use gnulib, for csharpcomp.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: C# fixes.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/AssemblyInfo.cs, csharp/CombiningClass.cs,
	csharp/Composition.cs, csharp/DecompositionKeys.cs,
	csharp/DecompositionMappings.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/NFKC.cs, csharp/Punycode.cs,
	csharp/PunycodeException.cs, csharp/RFC3454.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs: Add C# port,
	from Alexander Gnauck <gnauck@ag-software.de>.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2005-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2005-11-04  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Use -no-undefined for libtool, for cygwin, tiny
	patch from "Yaakov S (Cygwin Ports)"
	<yselkowitz@users.sourceforge.net>.

2005-10-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: (pr29_8z): Fix memory leak.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention Suse on IBM OpenPower.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.20.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Install pr29.h.

2005-10-22  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2005-10-07  Simon Josefsson <simon@josefsson.org>

	* gl/getopt_.h: Update.

2005-10-01  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-06.txt: Add.

2005-09-22  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2005-09-20  Simon Josefsson <simon@josefsson.org>

	* gl/getopt1.c: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use gnupload.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.19.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.19.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* po/Makevars: Use --no-location, to minimize CVS diff's.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/.cvsignore: [no log message]

2005-09-15  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/libidn-unused.sgml: Add (to fix gtk-doc
	makefile bug).

2005-09-15  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix dependency.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* : Update.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix wget usage.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/vi.po: Sync with TP.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Update.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix dependencies.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore, doc/java/gnu/inet/encoding/.cvsignore,
	doc/java/resources/.cvsignore: [no log message]

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore: [no log message]

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Call gjdoc directly.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* README-alpha, configure.ac: Replace javadoc with gjdoc.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Dist files generated by gjdoc instead.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Use HAVE_LOCALE_H.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* m4/codeset.m4: Update.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix header/setlocale checks.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for locale.h.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix setlocale test.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for setlocale.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* m4/codeset.m4: Add.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Use modern nl_langinfo test.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Simplify nl_langinfo test.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix #include's.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Let's assume unistd.h and errno.h (in fact, we
	already did in the source code and nobody complained).

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/m4/codeset.m4, gl/m4/getopt.m4,
	gl/m4/gettext.m4, gl/m4/glibc2.m4, gl/m4/glibc21.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/gnulib.m4, gl/m4/iconv.m4, gl/m4/intdiv0.m4, gl/m4/intmax.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/inttypes_h.m4,
	gl/m4/isc-posix.m4, gl/m4/lcmessage.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/longdouble.m4,
	gl/m4/longlong.m4, gl/m4/nls.m4, gl/m4/onceonly_2_57.m4,
	gl/m4/po.m4, gl/m4/printf-posix.m4, gl/m4/progtest.m4,
	gl/m4/signed.m4, gl/m4/size_max.m4, gl/m4/stdint_h.m4,
	gl/m4/strdup.m4, gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/xsize.m4: Update gnulib.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* README: Fix typo.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.18.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Link to help-libidn.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib.m4: Update.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Simplify.

2005-07-15  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore: [no log message]

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bakleh-reg-adm-acg-apu-01.txt: Add.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Use 'sed 1q' instead of 'head -n 1',
	more portable.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add 2005 to man page copyrights.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Fix head usage (really!!).

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix license.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Fix use of head.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: New upstream release.

2005-06-14  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/pl.po,
	po/ro.po, po/sr.po, po/vi.po: Sync with TP.

2005-06-14  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/gdoc2doxygen: Fix address in license.

2005-06-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-06-12  Simon Josefsson <simon@josefsson.org>

	* THANKS: fix

2005-06-12  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Turn 'head -1' into 'head -n -1', tiny
	patch from Carsten Lohrke <current@myrealbox.com>.

2005-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS, po/nl.po: Add.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.17.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.17.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* doc/lgpl.texi: Fix sectioning.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/gettext.h, gl/m4/getopt.m4,
	gl/m4/gettext.m4, gl/m4/glibc2.m4, gl/m4/gnulib.m4,
	gl/m4/intdiv0.m4, gl/m4/intmax.m4, gl/m4/inttypes-pri.m4,
	gl/m4/inttypes.m4, gl/m4/isc-posix.m4, gl/m4/lcmessage.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/nls.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/progtest.m4, gl/m4/strdup.m4: Sync with
	gnulib.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, COPYING, COPYING.LIB, FAQ, Makefile.am, README, TODO,
	configure.ac, contrib/README, contrib/java/Makefile.am,
	doc/Makefile.am, doc/Makefile.gdoci, doc/fdl.texi, doc/gdoc,
	doc/gendocs.sh, doc/gendocs_template, doc/java/Makefile.am,
	doc/lgpl.texi, doc/specifications/Makefile.am, doc/tld/Makefile.am,
	examples/Makefile.am, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c, examples/example5.c,
	gl/dummy.c, gl/error.c, gl/error.h, gl/getopt.c, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/gettext.h, gl/strdup.c,
	gl/strdup.h, java/Makefile.am,
	java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/iconvme.c, lib/iconvme.h,
	lib/idn-free.c, lib/idn-free.h, lib/idna.c, lib/idna.h, lib/nfkc.c,
	lib/pr29.c, lib/pr29.h, lib/profiles.c, lib/punycode.c,
	lib/punycode.h, lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c, lib/stringprep.c, lib/stringprep.h.in,
	lib/tld.c, lib/tld.h, lib/toutf8.c, lib/version.c, libc/example.c,
	libidn.pc.in, src/Makefile.am, src/idn.c, src/idn.ggo, src/idna.el,
	src/punycode.el, tests/Makefile.am, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_nfkc.c, tests/tst_pr29.c,
	tests/tst_punycode.c, tests/tst_strerror.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Update FSF address in
	license.  Fix copyrights.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-05-18  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-reg-guidelines-08.txt: Add.

2005-05-12  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/rw.po, po/sr.po, po/zh_CN.po: Sync with TP.

2005-05-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2005-05-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-05-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.16.

2005-05-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-05-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.16.

2005-05-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/zh_CN.po: Sync with TP.

2005-05-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-05-05  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use 'const' for static data, tiny patch from Joe Orton
	<jorton@redhat.com>.

2005-04-16  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Sync with TP.

2005-04-15  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2005-04-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-04-15  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/vi.po: Sync with TP.

2005-04-06  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/rw.po, po/zh_CN.po: Sync with TP.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po, po/vi.po, po/zh_CN.po: 
	Generated.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.15.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/iconvme.c: Sync with libc; fix license and fix arithmetic
	overflow.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/iconvme.h: Fix license.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po, po/vi.po, po/zh_CN.po: 
	Generated.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.14.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Ramblings.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po, po/vi.po: Sync with TP.

2005-03-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, po/LINGUAS, po/zh_CN.po: Add.

2005-03-01  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4013.txt: Add.

2005-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/idn-free.c: Include the specification first, to verify it is
	standalone.  Doc fix.

2005-02-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-dn-16.txt: Add.

2005-02-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-02-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Reorder chronologically.

2005-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-02-11  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-05.txt: Add.

2005-02-07  Simon Josefsson <simon@josefsson.org>

	* THANKS: Sort (should be sorted chronologically..).

2005-02-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2005-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, po/LINGUAS, po/vi.po: Add.

2005-01-30  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix last commit, reported by Linus Nordberg
	<linus@nordberg.se>.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix srcdir != objdir when bootstrapping from CVS,
	patch from Linus Nordberg <linus@nordberg.se> (tiny change).

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Remove hack, fixed in gtk-doc CVS.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.13.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po: Generated.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.13.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Need dummy gnulib module again.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* lib/iconvme.c, lib/iconvme.h: Add.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/iconvme.c, gl/iconvme.h,
	gl/m4/gnulib.m4, gl/m4/iconvme.m4, lib/Makefile.am: Move iconvme to
	lib, since linking gnulib in lib doesn't work due to program_name
	symbol.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* gl/m4/codeset.m4, gl/m4/error.m4, gl/m4/getopt.m4,
	gl/m4/glibc21.m4, gl/m4/iconv.m4, gl/m4/inttypes_h.m4,
	gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lib-prefix.m4,
	gl/m4/longdouble.m4, gl/m4/longlong.m4, gl/m4/signed.m4,
	gl/m4/size_max.m4, gl/m4/stdint_h.m4, gl/m4/strdup.m4,
	gl/m4/strerror_r.m4, gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/xsize.m4: Update.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Typo.

2005-01-27  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add, reported by Simon Walter
	<simon@nethinks.com>.

2005-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-01-17  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2005-01-17  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Remove.

2005-01-17  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am, java/misc/Makefile.am: Define
	JAVAROOT unconditionally, because automake barf otherwise.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention gettext requirement, suggested by Linus
	Nordberg <linus@nordberg.se>.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Warn strongly about missing iconv.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: No need to use dummy gnulib module, no system has
	iconvme.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Link with gnulib (only LGPL files).

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Use iconv_string from gnulib.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/iconvme.c, gl/iconvme.h,
	gl/m4/gnulib.m4, gl/m4/iconvme.m4: Add iconvme from gnulib.

2005-01-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Add copyright for year 2005.

2005-01-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-01-02  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Update.

2005-01-01  Simon Josefsson <simon@josefsson.org>

	* gl/error.c: Update.

2005-01-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-01-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, po/LINGUAS, po/it.po: Add.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.12.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* gl/getopt_.h, gl/m4/getopt.m4: Update.

2004-12-01  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Stringprep.java: Doc fix, from Oliver Hitz
	<oliver@net-track.ch>.

2004-11-30  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bartosiewicz-idn-pltld-08.txt: Add.

2004-11-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: More PR29.

2004-11-23  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-11-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-22  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-11-22  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Stringprep.java: Fixed two bugs:
	allowUnassigned not respected properly, buggy prohibited code points
	check.  Argument checks added.  RFC3920 nodeprep and resourceprep
	added, suggested by Matt Tucker.  Convenience methods with
	allowUnassigned set to false added.  From Oliver Hitz
	<oliver@net-track.ch>.

2004-11-22  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/RFC3454.java,
	java/misc/GenerateRFC3454.java: Add table C.1.1 and C.2.1, from
	Oliver Hitz <oliver@net-track.ch>.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Make sure all man pages follow 'foo -- purpose of foo'
	format, even if there is no purpose description available, from
	Shishi.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.11.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Add 'DO NOT MODIFY' warning to generated man pages.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c, lib/strerror-punycode.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/pr29.c, lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/tld.c, lib/toutf8.c, lib/version.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: For man pages, don't use line breaking formatting codes
	("\n.I foo\n") but rather inline commands ("\fIfoo\fP").

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Skip leading whitespace in function purpose.  Print
	function purpose in man pages, if available.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h,
	gl/m4/getopt.m4: Update.

2004-11-18  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ekrema-smldn-00.txt: Add.

2004-11-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-reg-guidelines-05.txt: Add.

2004-11-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/Description.txt,
	doc/specifications/IDNConnect.html, doc/specifications/testbed.html: 
	Add.

2004-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29.html: Update.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.10.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* tests/tst_pr29.c: No need for stringprep.h.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* examples/example2.c, libc/example.c, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_nfkc.c, tests/tst_punycode.c,
	tests/tst_stringprep.c: Cosmetic fix.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* tests/utils.c: Typo.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Simplify EXTRA_DIST.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Use Libtool's -export-symbols-regex.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-reg-guidelines-04.txt,
	doc/specifications/draft-xdlee-idn-cdnadmin-02.txt: Add.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/profiles.c, lib/punycode.c,
	lib/toutf8.c, lib/version.c: Cosmetic fix.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Add copyright header for me.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* FAQ: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-anon-04.txt: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Generated.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.9.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Sync with TP.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn.types: Simplify.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix SUBDIRS order, because GTK-DOC need
	components.png.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Fix.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Fix.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Update.

2004-10-28  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Support -include, from GnuTLS.

2004-10-27  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: Doc fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix man output.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-stringprep.c, lib/stringprep.c, lib/tld.c: Doc fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/pr29.c, lib/punycode.c, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c, lib/tld.c: Doc fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use @code, not @var, for constants in texinfo output.
	Fix newlines in man output.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use # instead of & for types.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn-docs.sgml: Add
	image.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Run gtkdocize.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sv.po: Sync with TP.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (update-po): Fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* : Add.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn.types: Fix.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (DISTCHECK_CONFIGURE_FLAGS): Add --enable-gtk-doc.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/reference/Makefile.am, doc/reference/libidn-docs.sgml,
	doc/reference/libidn-docs.tmpl: Align GTK-DOC build infrastructure
	with GTK-DOC official recommendations.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/ro.po,
	po/sr.po: Sync with TP.

2004-10-15  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/getopt.m4: Update.

2004-10-15  Simon Josefsson <simon@josefsson.org>

	* po/pl.po: Sync with TP.

2004-10-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Update.

2004-10-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Update.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* README: Improve readability.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.8.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* lib/gen-unicode-tables.pl: Add coment to generated files to say
	that they are generated, reported by "Gisle Vanem" <giva@bgnett.no>.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/Makefile.am: Distribute
	BidiMirroring-3.2.0.txt, reported by "Gisle Vanem" <giva@bgnett.no>.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.7.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-11  Simon Josefsson <simon@josefsson.org>

	* po/fr.po: Generated.

2004-10-11  Simon Josefsson <simon@josefsson.org>

	* po/fr.po: Sync with TP.

2004-10-05  Simon Josefsson <simon@josefsson.org>

	* gl/error.c: Update Gnulib.

2004-10-04  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Use EXIT_SUCCESS and EXIT_FAILURE.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.6.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example3.c, examples/example4.c,
	examples/example5.c: Use *strerror.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, examples/Makefile.am: Fix indent.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, libidn.fms: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Reorder.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't link with gnulib.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Revert, don't use strdup.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c: Simplify translation strings.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Typo.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h, lib/pr29.c, lib/pr29.h, lib/profiles.c, lib/toutf8.c,
	src/idn.c, tests/tst_pr29.c, tests/tst_stringprep.c: Indent.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Use error.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/error.c, gl/error.h,
	gl/m4/error.m4, gl/m4/gnulib.m4, gl/m4/strerror_r.m4: Add error from
	gnulib (slightly modified to avoid unlocked-io.h).

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_strerror.c: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: (DEFS): Add LOCALEDIR.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c: Setup gettext properly.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* po/POTFILES.in: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/Makefile.am, doc/libidn.texi, lib/Makefile.am,
	lib/idna.h, lib/pr29.h, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.h.in,
	lib/tld.c, lib/tld.h, src/idn.c: Add idna_strerror, pr29_strerror,
	punycode_strerror, stringprep_strerror, and tld_strerror, suggested
	by Daniel Stenberg <daniel@haxx.se>.  Make idn.c use them.  Rename
	TLD_NOTLD to TLD_NO_TLD.

2004-09-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2004-09-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib.m4: Update.

2004-09-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/getopt.c, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/gettext.h, gl/m4/codeset.m4,
	gl/m4/gettext.m4, gl/m4/glibc21.m4, gl/m4/gnulib.m4,
	gl/m4/iconv.m4, gl/m4/intdiv0.m4, gl/m4/intmax.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/inttypes_h.m4,
	gl/m4/isc-posix.m4, gl/m4/lcmessage.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/longdouble.m4,
	gl/m4/longlong.m4, gl/m4/nls.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/progtest.m4, gl/m4/signed.m4,
	gl/m4/size_max.m4, gl/m4/stdint_h.m4, gl/m4/strdup.m4,
	gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4, gl/m4/wchar_t.m4,
	gl/m4/wint_t.m4, gl/m4/xsize.m4, gl/strdup.c, gl/strdup.h,
	src/gettext.h: Use new GNULib.

2004-09-28  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Specify gl_LGPL for new gnulib-tool.

2004-09-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-09-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, configure.ac, gl/.cvsignore, gl/Makefile.am,
	gl/dummy.c, gl/getopt.c, gl/getopt1.c, gl/getopt_.h,
	gl/getopt_int.h, gl/m4/getopt.m4, gl/m4/gnulib.m4,
	gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4, gl/strdup.c, gl/strdup.h,
	lib/Makefile.am, lib/toutf8.c, src/Makefile.am, src/getopt.c,
	src/getopt1.c, src/getopt_.h, src/getopt_int.h, tests/Makefile.am: 
	Use Lesser GNULib.

2004-09-21  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bakleh-reg-adm-acg-apu-00.txt: Add.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Clean more.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.5.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (POURL): Fix.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-09-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-09-05  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: (g_utf8_skip): Hide variable, using "static".

2004-09-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move.  Fix ack.

2004-08-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-farah-adntf-adns-guidelines-00.txt: Add.

2004-08-23  Simon Josefsson <simon@josefsson.org>

	* m4/autobuild.m4: Update.

2004-08-18  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-08-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-08-17  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2004-08-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2004-08-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Shut up 'uno' by fixing array boundary.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-08-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-08-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-08-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.4.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (update-po): Add.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po: Sync with TP.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Update.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.3.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix crash, tiny patch by Andreas Schwab reported by
	Stephan Kulow <coolo@suse.de>.

2004-08-01  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use PR29_* error mnemonics, instead of hard coded
	integers.

2004-08-01  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Cosmetic fix.

2004-07-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/COPYING.UCD: Add.

2004-07-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/COPYING.UCD: Update.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Update.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Bump version.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.2.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: (install-jar): Make DESTDIR compatible, patch from Oliver Hitz
	<oliver@net-track.ch> based on report by Benjamin Reed
	<ranger@befunk.com>.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* libc/example.c: Doc fix.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* libc/example.c: Use setlocale, reported by Robert Scheck
	<libidn@robert-scheck.de>.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-pkix-stringmatch-00.txt: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention pr29.h.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.1.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use autobuild.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, m4/autobuild.m4: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example2.c, examples/example3.c,
	examples/example4.c: Call setlocale to make iconv work, reported by
	Robert Scheck <libidn@robert-scheck.de>.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/getopt.c, src/getopt1.c: Update getopt.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, tests/.cvsignore: [no log message]

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* examples/.cvsignore, src/.cvsignore: [no log message]

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* src/.cvsignore: [no log message]

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* src/getopt_int.h: Add.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/Makefile.am, src/getopt.c, src/getopt.h,
	src/getopt1.c, src/getopt_.h: Update getopt module.  Now work on,
	e.g., uClibc systems which uses GNU Libc header files, but do not
	implement getopt_long.

2004-06-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.0.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Fix.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Fix.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: (HTML_OBJECTS): Add libidn-pr29.html.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Add PR29.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Add doc.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't use wildcards for GDOC_SRC.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use 'static'.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.h: Typo.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, lib/Makefile.am, lib/pr29.c, lib/pr29.h,
	tests/Makefile.am, tests/tst_pr29.c: Add PR29 functions.

2004-06-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/HangulSyllableType-4.0.1.txt: Add.

2004-06-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/DerivedCombiningClass-3.2.0.txt: Add.

2004-06-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-12  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/eo.po: Add Esperanto translation, from Edmund
	GRIMLEY EVANS <edmundo@rano.org>, via the translation project.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.9.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Work around automake limitation (cannot have
	instal-data-local target in a conditional).

2004-06-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-dn-14.txt,
	doc/specifications/draft-ietf-ldapbis-strprep-04.txt: Add.

2004-06-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Cosmetic fix, sync with libc.

2004-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-06-07  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Create libidn.jar link.

2004-06-06  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bakke-iscsi-stringprep-00.txt,
	doc/specifications/draft-hoffman-stringprep-00.txt,
	doc/specifications/draft-hoffman-stringprep-01.txt,
	doc/specifications/draft-hoffman-stringprep-02.txt,
	doc/specifications/draft-hoffman-stringprep-03.txt,
	doc/specifications/draft-hoffman-stringprep-04.txt,
	doc/specifications/draft-hoffman-stringprep-05.txt,
	doc/specifications/draft-hoffman-stringprep-06.txt,
	doc/specifications/draft-hoffman-stringprep-07.txt,
	doc/specifications/draft-ietf-idn-nameprep-00.txt,
	doc/specifications/draft-ietf-idn-nameprep-01.txt,
	doc/specifications/draft-ietf-idn-nameprep-02.txt,
	doc/specifications/draft-ietf-idn-nameprep-03.txt,
	doc/specifications/draft-ietf-idn-nameprep-04.txt,
	doc/specifications/draft-ietf-idn-nameprep-05.txt,
	doc/specifications/draft-ietf-idn-nameprep-06.txt,
	doc/specifications/draft-ietf-idn-nameprep-07.txt,
	doc/specifications/draft-ietf-idn-nameprep-08.txt,
	doc/specifications/draft-ietf-idn-nameprep-09.txt,
	doc/specifications/draft-ietf-idn-nameprep-10.txt,
	doc/specifications/draft-ietf-idn-nameprep-11.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-00.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-01.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-02.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-03.txt,
	doc/specifications/draft-ietf-ldapbis-strprep-03.txt,
	doc/specifications/draft-ietf-xmpp-core-18.txt,
	doc/specifications/draft-ietf-xmpp-core-19.txt,
	doc/specifications/draft-ietf-xmpp-core-20.txt,
	doc/specifications/draft-ietf-xmpp-core-21.txt,
	doc/specifications/draft-ietf-xmpp-core-22.txt,
	doc/specifications/draft-ietf-xmpp-core-23.txt,
	doc/specifications/draft-ietf-xmpp-core-24.txt,
	doc/specifications/draft-zeilenga-ldapbis-strmatch-00.txt,
	doc/specifications/draft-zeilenga-ldapbis-strmatch-01.txt: Add.

2004-06-03  Simon Josefsson <simon@josefsson.org>

	* java/.cvsignore: [no log message]

2004-06-03  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Use versioned *.jar.

2004-06-02  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Versionize *.jar filename.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Dist HTMLs.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Add JavaDoc links.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy javadoc files.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore: [no log message]

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore: [no log message]

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Add javadoc.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Distribute libidn.jar, suggested by Oliver Hitz.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* m4/ac_prog_javadoc.m4: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/java/Makefile.am: Add java/.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build doc/java/Makefile.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Find javadoc.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.8.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Don't use GNU make specific 'override',
	from Oliver Hitz.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am, java/misc/Makefile.am: Dist
	*.java, suggested by Oliver Hitz.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.7.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Markup fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: (Java API): Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Markup fixes.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am, java/README.UNICODE, java/README.html: Remove
	(moved to doc/libidn.texi).

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: (Introduction): Mention Java port.  (Downloading and Installing):
	Mention --enable-java.  (Java API): Add, taken from java/README.html
	and java/README.UNICODE by Oliver Hitz.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Revert, I don't want to require gcj for CVS
	builds.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Dist libidn.jar (this seem to be the norm among
	Java libraries?).

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/.cvsignore, java/misc/.cvsignore: [no log
	message]

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Build more.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac, java/Makefile.am, java/README.UNICODE,
	java/README.html, java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java: Improve JAVA port, from Oliver Hitz
	<oliver@net-track.ch>.

2004-05-26  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fixes.

2004-05-25  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.6.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: (include_HEADERS): Install idn-free.h, reported by Daniel Stenberg
	<daniel-curl@haxx.se>.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29.html: Update.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.5.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years on man pages.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: (HIGNORE): Add idn-free.h.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Move declaration of temporary variable to start of
	scope.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_unicode_4z4z): There was no double free, remove my
	modification.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_ascii_4i, idna_to_unicode_4z4z): Fix memory leak when
	memory allocation fails.  From Ulrich Drepper <drepper@redhat.com>,
	but modified to fix double free and incorrect 'if' condition.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Fix memory leak when memory allocation fails.  From
	Ulrich Drepper <drepper@redhat.com>.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Back port of (some) changes by Ulrich Drepper
	<drepper@redhat.com>.  (idna_to_unicode_internal): Fix memory leaks when memory allocation
	fails.  Deallocate utf8in on failure.  (idna_to_unicode_44i): Don't free, done in idna_to_unicode_internal.  (idna_to_ascii_4z): Fix memory leak when memory allocation fails.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/idn-free.c, lib/idn-free.h: Add idn_free,
	suggested by "Gisle Vanem" <gvanem@broadpark.no>.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_ascii_lz): Doc fix, reported by Joe Orton
	<jorton@redhat.com>.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c: Add NFKC test vectors from pr-29.html.  Fix
	debug output.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29.html: Add.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* tests/utils.c: Fix ucs4print debugging output.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/specifications/draft-ietf-sasl-saslprep-09.txt: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Update SASLPrep test vectors.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.4.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use -no-install to avoid libtool wrapper
	script, tiny patch from Joe Orton <jorton@redhat.com>.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/stringprep-profiles: Update.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/specifications/rfc3722.txt: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Add iSCSI test vectors to catch recent
	bugs.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_iscsi_prohibit): For start==0, use end!=1.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_iscsi): Add C_1_1, C_2_1, and C_7 (after reading newly
	published RFC 3722).

2004-04-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-24  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/ro.po: Add, by Laurentiu Buzdugan <lbuz@rolix.org>
	via translation project.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Rename variable to avoid silly shadowing warnings.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Move utils.c and utils.h into a separate
	library.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_punycode.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Split out common
	stuff into utils.c and utils.h.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c: Fix warnings.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Require modern autoconf.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Indent.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/sr.po,
	po/sv.po: Generated.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.3.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: (Tld_table): Mark "name" and "version" as const.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Add SASLprep test vectors (would catch the
	C.2.1 bug).

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep_find_character_in_table): Fix end-of-table test, to
	handle valid uses of start=0 (as in table C.2.1).

2004-04-21  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-04-18  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-04-18  Simon Josefsson <simon@josefsson.org>

	* libidn.pc.in: Drop -R lib flag, suggested by Martin Waitz
	<tali@debian.org>.

2004-04-15  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-costello-rfc3492bis-02.txt: Add.

2004-04-15  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc3743.txt: Add.

2004-04-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-rfc3454bis-02.txt,
	doc/specifications/draft-hoffman-rfc3490bis-02.txt,
	doc/specifications/draft-hoffman-rfc3491bis-01.txt: Add.

2004-04-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-08.txt: Add.

2004-04-11  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix versions.

2004-04-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-09  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/nl.po: Add, from Elros Cyriatan
	<cyriatan@fastmail.fm> via Translation Project.

2004-04-05  Simon Josefsson <simon@josefsson.org>

	* contrib/idn-python/idn.c: Use new API, tiny patch from "Gisle
	Vanem" <giva@bgnett.no>.

2004-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-28  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/de.po: Add German translation, from Roland Illig
	<roland.illig@gmx.de> via translation project.

2004-03-23  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-07.txt: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Use TAB instead of \t, suggested by Jørgen
	Thomsen <jth@jth.net>.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/fr.po, po/pl.po, po/sr.po, po/sv.po: Generated.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.2.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Inform about Java.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Update.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, libc/Banner, libc/Makefile, libc/README,
	libc/Versions, libc/configure, libc/getaddrinfo.c, libc/idn-stub.c,
	libc/libc.patch, libc/libidn.texi, libc/netdb.h: Remove most of libc
	stuff (has been integrated in libc CVS).

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* README, java/Makefile.am: Fix.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* COPYING: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi: Fix.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, THANKS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am, java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java: Fix.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* m4/ac_prog_jar.m4, m4/ac_prog_javac.m4, m4/ac_prog_javac_works.m4: 
	Add, from GNU Autoconf Macro Archive.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/.cvsignore: [no log message]

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/PunycodeException.java: Add, from Oliver
	Hitz <oliver@net-track.ch>.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am: (noinst_JAVA): Only include Punycode*.java for now.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, java/Makefile.am,
	java/gnu/Makefile.am, java/gnu/inet/Makefile.am,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/Punycode.java: Add infrastructure for Java
	code, and add Punycode, from Oliver Hitz <oliver@net-track.ch>.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/.cvsignore, java/gnu/.cvsignore, java/gnu/inet/.cvsignore,
	java/gnu/inet/encoding/.cvsignore, m4/.cvsignore: [no log message]

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/da.po: Add, from Morten Bo Johansen
	<mojo@mbjnet.dk> via Translation Project.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/pl.po: Update.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/.cvsignore: [no log message]

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS, doc/libidn.texi: Ack Unicode, Inc.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/Makefile.am: Dist COPYING.UCD.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/COPYING.UCD: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/fr.po: Add, from Michel Robitaille
	<robitail@IRO.UMontreal.CA> via Translation Project.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sr.po: Add, from Aleksandar Jelenak
	<jelenak@netlinkplus.net> via Translation Project.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/no.tld: Add URLs.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/Makefile.am: Add no.tld.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/no.tld: Add, from Thomas Jacob <jacob@internet24.de>.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, src/idn.ggo: Add.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/pl.po: Add Polish translation, from Jakub Bogusz
	<qboosh@pld-linux.org>.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-06.txt: Add.

2004-03-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build lib/ before po/.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.1.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Fix warning.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: (idn_LDADD): Add LTLIBINTL.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Cosmetic fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Translation markup.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Gettextiscate.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, m4/.cvsignore, po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/gettext.h: Add gettext.h.  Define LOCALEDIR
	(for gettext).

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/Makevars: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, m4/.cvsignore, po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* config.rpath, m4/lib-ld.m4, m4/lib-prefix.m4: Remove, added by
	gettextize.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, po/LINGUAS, po/POTFILES.in: 
	Gettextiscate.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix IDNA_DLOPEN_ERROR.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: (stringprep_convert): Don't copy input.  Check for malloc failures.
	From Ulrich Drepper <drepper@redhat.com>, via libidn integration in
	libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Invoke setlocale (LC_ALL, "").

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: (stringprep_locale_charset_slow): Remove.  (stringprep_locale_charset) [_LIBC]: Define to nl_langinfo(CODESET).  (stringprep_locale_charset) [!_LIBC]: Don't cache charset.  Remove
	broken setlocale hack.  All based on discussion with Ulrich Drepper
	<drepper@redhat.com>, during libidn integration in libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (Idna_rc): Doc fix IDNA_DLOPEN_ERROR.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix warning, tiny patch by Ulrich Drepper
	<drepper@redhat.com> from libidn integration in libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h: (Idna_rc): Add IDNA_DLOPEN_ERROR error code, for libidn part of
	libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (Stringprep_profiles): Mark 'name' as 'const'.  Tiny patch to libidn
	in libc by Ulrich Drepper <drepper@redhat.com>.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/idn-stub.c and libc/libidn.texi.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/libc.patch: Update, from libc-alpha post.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/idn-stub.c, libc/libidn.texi: Add, from libc-alpha post.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/Makefile: Sync libc-alpha post.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/README, libc/example.c: Update.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c, libc/netdb.h: Sync.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix comment.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix version requirements.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix texinfo requirement.

2004-03-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-05  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_saslprep): Fix typo; make sure non-ASCII space
	characters are prohibited.

2004-03-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, doc/tld/README: Mention tldchk.berlios.de,
	suggested by Thomas Jacob <jacob@internet24.de>.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't install tld.h if --disable-tld.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-anon-01.txt,
	doc/specifications/draft-ietf-sasl-anon-02.txt,
	doc/specifications/draft-ietf-sasl-anon-03.txt,
	doc/specifications/draft-ietf-sasl-saslprep-05.txt: Add.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.0.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Always include errno.h (C89).

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, src/idn.c: Indent.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* README: Mention TLD.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Handle draft-hoffman-idn-reg-*.txt tables
	better.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add headers.  Fix typos and comments.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add copying conditions.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add, from Stephane Bortzmeyer <bortzmeyer@nic.fr>.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Don't document Tld_table* for now.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (_tld_checkchar): Use new Tld_table API.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: (Tld_table): Change valid definition.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use new API.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Improve Troubleshooting.

2004-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Cosmetic fix.

2004-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (tld_check_4): Don't write to NULL errpos, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Typo.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use hex in output.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Add comment.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Parse tables conforming to
	draft-hoffman-idn-reg.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-idn-reg-00.txt,
	doc/specifications/draft-hoffman-idn-reg-01.txt,
	doc/specifications/draft-hoffman-idn-reg-02.txt: Add.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix typos.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix autoconf stuff, suggested by Stephane
	Bortzmeyer <bortzmeyer@nic.fr>.

2004-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Doc fix.

2004-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-12  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Fix.  Indent.

2004-02-12  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (tld_get_z): Allocate correct amount, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/README: Fix title.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/README: Add.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/example5.c: Fix warning.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix TLD debug.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: TLD check correct string.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Fix warning.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: TLD fix.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix include, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Mention example5.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Sync libidn text.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Sync text.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix introduction.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, tests/tst_tld.c: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: TLD fixes.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add example 5.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (_tld_checkchar): Binary search, from jacob@internet24.de.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Remove.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Indent.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Whitespace.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Doc fix.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/tld.c, lib/tld.h: Hide tld_tables.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, lib/tld.c, lib/tld.h: (tld_get_z): Support any charset (renamed from tld_get_8z).

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/tld.c, lib/tld.h: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: (tld_get_8z): Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* examples/.cvsignore: [no log message]

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, examples/example5.c: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/tld.h, src/idn.c, tests/tst_tld.c: Indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Add.

